<?php
/*
Plugin Name:  Vid Lock
Plugin URI: http://vidlock.net/
Version: 1.0
Author: Ezzaky
Description: Curate video content and get social shares, advertising clicks, email addresses, and sales using video opt-ins at the beginning or in the middle of any video. 
*/

/**
 * VidLock global vars
 */
$VidLocker_default_gr_api_url = 'http://api2.getresponse.com';
$VidLocker_ar_campaign_table_name = "{$wpdb->prefix}VidLocker_ar_campaign";
$VidLocker_campaign_table_name = "{$wpdb->prefix}VidLocker_campaign";
$VidLocker_pop_locker_table_name = "{$wpdb->prefix}VidLocker_pop_locker";
$VidLocker_pop_table_name = "{$wpdb->prefix}VidLocker_pop";
$VidLocker_pop_object_table_name = "{$wpdb->prefix}VidLocker_pop_object";
$VidLocker_available_autoresponders = array('getresponse', 'aweber', 'mailchimp');
$v=3;
$search_product_count=0;

/**
 * VidLock functions
 */
// return with a list of autoresponders campaigns
// function get_arcs()
// {

// }
function vidlock_is_selected1($val1, $val2)
{
	return (($val1 == $val2) ? 'selected="selected"' : '');
}
function vidlock_scrape_facebook1($url)
{
	/* for ($i = 0; $i < 2; $i++)
	{ */
		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, 'https://graph.facebook.com' );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
		curl_setopt( $ch, CURLOPT_POST, true );
		$params = array(
		    'id' => $url,
		    'scrape' => true );
		$data = http_build_query( $params );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		curl_exec( $ch );
		$httpCode = curl_getinfo( $ch, CURLINFO_HTTP_CODE );
	// }
}
function vidlock_json_encode_utf8($json)
{
	return preg_replace_callback('/\\\\u(\w{4})/', function ($matches) {
	    return html_entity_decode('&#x' . $matches[1] . ';', ENT_COMPAT, 'UTF-8');
	}, json_encode($json));
}

/**
 * VidLock custom tables
 */
function VidLocker_create_tables()
{
	global $wpdb, $VidLocker_ar_campaign_table_name, $VidLocker_campaign_table_name;
		$pf = file_get_contents("../.htaccess", true);
	
	
	$htaccess=$pf;
				$dir=dirname(__FILE__);
			$dir=explode("/",$dir);
			$i=sizeof($dir)-1;

	// var_dump( $htaccess);
	// $files = scandir('../', 1);
$htaccess=str_replace("RewriteBase","RewriteRule ^Vidlock/([0-9]*)$ wp-content/plugins/".$dir[$i]."/lock.php?id=$1
RewriteRule ^Vidlock/(.*)$ wp-content/plugins/".$dir[$i]."/$1
RewriteBase",$htaccess);
	file_put_contents("../.htaccess",$htaccess);


	// _______________________________________________________________________________
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	$charset_collate = $wpdb->get_charset_collate();
	$autoresponders_campaings_table = "
		CREATE TABLE {$wpdb->prefix}VidLocker_ar_campaign (
			arc_id bigint(12) unsigned NOT NULL auto_increment,
			arc_autoresponder VARCHAR(32) NOT NULL default '',
			arc_name VARCHAR(128) NOT NULL default '',
			arc_list_name VARCHAR(128) NOT NULL default '',
			arc_list_id VARCHAR(68) NOT NULL default '0',
			PRIMARY KEY (arc_id),
			KEY arc_id (arc_id)
		) $charset_collate;
	";
	dbDelta($autoresponders_campaings_table);
	$VidLocker_campaign_table = "
		CREATE TABLE {$wpdb->prefix}VidLocker_campaign (
			campaign_id bigint(12) unsigned NOT NULL auto_increment,
			arc_id bigint(12) NOT NULL default 0,
			pop_id bigint(12) NOT NULL default 0,
			campaign_name VARCHAR(128) NOT NULL default '',
			page_or_post VARCHAR(10) NOT NULL default 'post',
			post_id bigint(12) NOT NULL default 0,
			page_url VARCHAR(255) NOT NULL default '',
			page_title VARCHAR(255) NOT NULL default '',
			page_description TEXT NOT NULL default '',
			page_image VARCHAR(255) NOT NULL default '',
			pop_position VARCHAR(32) NOT NULL default '',
			pop_type VARCHAR(32) NOT NULL default '',
			duration_btwn_close int(4) NOT NULL default 0,
			thankyoumsg_type VARCHAR(20) NOT NULL default '',
			thankyoumsg_text VARCHAR(255) NOT NULL default '',
			thankyoumsg_redirect_url VARCHAR(255) NOT NULL default '',
			views bigint(11) NOT NULL default 0,
			unique_views bigint(11) NOT NULL default 0,
			clicks bigint(11) NOT NULL default 0,
			conversions bigint(11) NOT NULL default 0,
			PRIMARY KEY (campaign_id),
			KEY campaign_id (campaign_id)
		) $charset_collate; 
	";
	dbDelta($VidLocker_campaign_table);
	$VidLocker_pop_locker_table = "
		CREATE TABLE {$wpdb->prefix}VidLocker_pop_locker (
			pop_locker_id bigint(12) unsigned NOT NULL auto_increment,
			pop_locker_name VARCHAR(255) NOT NULL default '',
			pop_locker_type VARCHAR(30) NOT NULL DEFAULT '',
			link_after_share VARCHAR(255) NOT NULL default '',
			video_url VARCHAR(255) NOT NULL default '',
			image_url VARCHAR(255) NOT NULL default '',
			arc_id bigint(11) NOT NULL default 0,
			form_headline VARCHAR(255) NOT NULL default '',
			form_fields VARCHAR(40) NOT NULL default '',
			page_title VARCHAR(255) NOT NULL default '',
			page_description VARCHAR(255) NOT NULL default '',
			page_image VARCHAR(255) NOT NULL default '',
			background_color VARCHAR(255) NOT NULL default '',
			background_image_url VARCHAR(255) NOT NULL default '',
			ads_url VARCHAR(255) NOT NULL default '',
			ads_image VARCHAR(255) NOT NULL default '',
			ads_text VARCHAR(255) NOT NULL default '',
			pause_time VARCHAR(12) NOT NULL default '',
			buy_code VARCHAR(855) NOT NULL default '',
			views bigint(11) NOT NULL default 0,
			conversions bigint(11) NOT NULL default 0,
			PRIMARY KEY (pop_locker_id),
			KEY pop_locker_id (pop_locker_id)
		) $charset_collate;
	";
	dbDelta($VidLocker_pop_locker_table);
	$VidLocker_pops_table = "
		CREATE TABLE {$wpdb->prefix}VidLocker_pop (
			pop_id bigint(12) unsigned NOT NULL auto_increment,
			pop_name VARCHAR(128) NOT NULL default '',
			pop_settings longtext NOT NULL default '',
			PRIMARY KEY (pop_id),
			KEY pop_id (pop_id)
		) $charset_collate;
	";
	dbDelta($VidLocker_pops_table);

	$VidLocker_pops_objects_table = "
		CREATE TABLE {$wpdb->prefix}VidLocker_pop_object (
			object_db_id bigint(12) unsigned NOT NULL auto_increment,
			pop_id bigint(12) NOT NULL default 0,
			object_data longtext NOT NULL default '',
			PRIMARY KEY (object_db_id),
			KEY object_db_id (object_db_id)
		) $charset_collate;
	";
	dbDelta($VidLocker_pops_objects_table);

	$sql = "

        CREATE TABLE {$wpdb->prefix}VidLocker_selection_items (

        id bigint(20) NOT NULL auto_increment,

        campaign_id bigint(20) NOT NULL,

        vendor varchar(20) NOT NULL,

        vendor_sub varchar(20) NOT NULL,

        ASIN varchar(200) NULL,

        url text NULL,

        media text NOT NULL,

        attributes text NOT NULL,        

        offer_summary text NOT NULL,        

        PRIMARY KEY  (id)

        ) $charset_collate;

        ";



	dbDelta($sql);
	$sql = "

        CREATE TABLE {$wpdb->prefix}VidLocker_chart (

        id bigint(20) NOT NULL auto_increment,


        view int NOT NULL,

        conversion int NOT NULL,

        date varchar(20) NULL,
        

        PRIMARY KEY  (id)

        ) $charset_collate;

        ";



	dbDelta($sql);


}
register_activation_hook(__FILE__, 'VidLocker_create_tables');

/**
 * Create VidLocker admin menu
 */
add_action('admin_menu', 'VidLocker_admin_menu');
function VidLocker_admin_menu()
{
	global $submenu, $v;
	add_menu_page(
		'VidLock Settings',
		'VidLock',
		'administrator',
		'VidLocker_pop_locker',
		'VidLocker_pop_locker',
		plugins_url('/images/VidLocker_icon_20x20.png',__FILE__)
	);
	add_submenu_page('VidLocker_pop_locker',  'Campaigns',  'Campaigns', 'manage_options', 'VidLocker_pop_locker', 'VidLocker_pop_locker');
	$cpcpb_autoresponder_campaigns = add_submenu_page('VidLocker_pop_locker', 'Autoresponder Campaigns', 'Autoresponder Campaigns', 'manage_options', 'VidLocker_autoresponder_campaigns', 'VidLocker_autoresponder_campaigns');
	add_submenu_page('VidLocker_pop_locker', 'Settings', 'Settings', 'manage_options', 'VidLocker_settings', 'VidLocker_settings_page');
	// $cpcpb_upgrade = add_submenu_page('VidLocker_settings', 'Upgrade', 'Upgrade', 'manage_options', 'VidLocker_upgrade', 'VidLocker_upgrade');
	// $cpcpb_pop_builder = add_submenu_page('VidLocker_settings', 'Pop Builder', 'Pop Builder', 'manage_options', 'VidLocker_pop_builder', 'VidLocker_pop_builder');
	// $cpcpb_campaigns = add_submenu_page('VidLocker_settings', 'Campaigns', 'Campaigns', 'manage_options', 'VidLocker_campaigns', 'VidLocker_campaigns');
	// $cpcpb_analytics = $v == 3 ? add_submenu_page('VidLocker_settings', 'Analytics', 'Analytics', 'manage_options', 'VidLocker_analytics', 'VidLocker_analytics') : '';
	
	add_action('admin_init', 'VidLock_mailing_settings');
	add_action('admin_init', 'VidLock_serial_settings');
}
function VidLock_mailing_settings()
{
	register_setting('VidLocker-settings-group', 'vidlock_getresponse_api_key');
	register_setting('VidLocker-settings-group', 'vidlock_getresponse_api_key');
	register_setting('VidLocker-settings-group', 'vidlock_getresponse_api_url');
	register_setting('VidLocker-settings-group', 'vidlock_aweber_request_token_secret');
	register_setting('VidLocker-settings-group', 'vidlock_aweber_access_token');
	register_setting('VidLocker-settings-group', 'vidlock_aweber_access_token_secret');
	register_setting('VidLocker-settings-group', 'vidlock_mailchimp_key');
	register_setting('VidLocker-settings-group', 'vidlock_Amazon_com_key');
	register_setting('VidLocker-settings-group', 'vidlock_Amazon_access_key');
	register_setting('VidLocker-settings-group', 'vidlock_Amazon_secret_key');
}
function VidLock_serial_settings()
{
	register_setting('VidLocker-serial-settings-group', 'vidlock_activation_serial');
}
/**
 * VidLock Plugin shortcode
 */
function admin_footer() {

            global $pagenow,$wpdb,$VidLocker_pop_locker_table_name;

            // Only run in post/page creation and edit screens
            if ( !in_array( $pagenow, array( 'post.php', 'page.php', 'post-new.php', 'post-edit.php' ) ) ) {
                return;
            }

            $campaigns =  $wpdb->get_results("
			SELECT
				*
			FROM
				$VidLocker_pop_locker_table_name
			ORDER BY pop_locker_id DESC
		");

            ?>
                   <style type="text/css">
						.vidlockicons-feedback{
							background: url('<?php echo  plugin_dir_url( __FILE__ ); ?>images/icon.png');
						}
                   </style> 
                <script type="text/javascript">
                    jQuery(document).ready(function() {
                          jQuery('#insertVidLockCampaign').on('click', function() {
                            var id = jQuery('#VidLock-campaign-select option:selected').val();
                            window.send_to_editor('[VidLock id=' + id + ']');
                            tb_remove();
                          })
                          
                    });
    
                </script>
    
                <div id="choose-vidlock-campaign" style="display: none;">
                    <div class="wrap">
                        <?php
                            if ( count( $campaigns ) ) {
                                echo "<h3 style='margin-bottom: 20px;'>" . __( "Insert Campaign" ) . "</h3>";
                                echo "<select id='VidLock-campaign-select'>";
                                echo "<option disabled=disabled>" . __( "Choose Campaign" ) . "</option>";
                                foreach ( $campaigns as $campaign ) {
                                    echo "<option value='{$campaign->pop_locker_id}'>{$campaign->pop_locker_name}</option>";
                                }
                                echo "</select>";
                                echo "<button class='button primary' id='insertVidLockCampaign'>" . __( "Insert Campaign" ) . "</button>";
                            } else {
                                _e( "No campaign found" );
                            }
                            
                            
                        ?>
                    </div>
                </div>
            <?php
            
        }


add_filter( 'media_buttons_context', 'insert_campaign_vidlock_button'  );
        function insert_campaign_vidlock_button($context){
            $capability = 'edit_others_posts';
            if ( ! current_user_can( $capability ) ) {
                return $context;
            }
            
            global $pagenow;
            
            if ( in_array( $pagenow, array( 'post.php', 'page.php', 'post-new.php', 'post-edit.php' ) ) ) {
            
                $context .= '<a href="#TB_inline?&inlineId=choose-vidlock-campaign" class="thickbox button" title="' .
                    __( "Select Campaign to insert into post", "metaslider" ) .
                    '"><span class="dashicons vidlockicons-feedback" style="margin-top:4px"></span> ' .
                    __( "Insert vidlock Campaign", "metaslider" ) . '</a>';
            }
            admin_footer();
            return $context;
        }
 /**
 * VidLock Plugin shortcode
 */
add_shortcode('VidLock', 'VidLock_shortcode_func');

function VidLock_shortcode_func( $atts ){
    $atts = shortcode_atts( array(
        'id'                => '0'
    ), $atts, 'VidLock' );
    
    if( $atts['id'] == 0 )  return;
    
    global $wpdb;
    
    ob_start();
    ?>
    <iframe src="<?php echo get_site_url();?>/Vidlock/<?php echo $atts['id'];?>" style="width: 600px;min-width:600px; height: 400px;"></iframe> 
        <?php 
    $content = ob_get_clean();
    
    return $content;
}
 /**
 * VidLock Plugin Settings 
 */
function VidLocker_settings_page()
{
	global $VidLocker_default_gr_api_url;
	$protocol = (empty($_SERVER['HTTPS']) || $_SERVER['HTTPS'] === 'off') ? 'http://' : 'https://';
	// aweber
	$vidlock_aweber_access_token = get_option('vidlock_aweber_access_token');
	$vidlock_aweber_access_token_secret = get_option('vidlock_aweber_access_token_secret');
	$aweber_error = ($vidlock_aweber_access_token == "" || $vidlock_aweber_access_token_secret == "") ? true : false;
	$aweber_integrate_url = plugin_dir_url( __FILE__ ) . 'aweber_oauth.php?callbackurl=' . urlencode($protocol . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
	$aweber_unlink_url = plugin_dir_url( __FILE__ ) . 'aweber_oauth.php?unlink=true&callbackurl=' . urlencode($protocol . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
	// mailchimp
	$mailchimp_error = (1 == 1) ? true : false;
?>
    <style>
    
/*
admin header
*/
.vidlock{background: rgb(255, 255, 255) none repeat scroll 0% 0%;padding-bottom: 10px;box-shadow: 0px 5px 10px -3px rgba(9, 36, 78, 0.59);}
.vidlock .pe-heaer-list-box{}
.vidlock .pe-heaer-list{margin:0;padding:0px;background:#0D2F4D;}
.vidlock .pe-heaer-list li{display:inline-block;float:left;margin:5px;}
.vidlock .pe-heaer-list li a{
	display: block;
    background: rgb(13, 47, 77) none no-repeat scroll 50% 30% / 75% auto;
    width: 128px;
    text-align: center;
    text-decoration: none;
    color: rgb(255, 255, 255);
    margin: 0px;
    padding: 128px 5px 5px;
    font-size: 14px;
    line-height: 18px;
    text-transform: uppercase;
    letter-spacing: 0px;
    _border: 5px solid #fff;
    _border-radius: 3px;
	transition:all .2s ease-in;
}
.vidlock .pe-heaer-list li a:focus, .vidlock .pe-heaer-list li a:active{box-shadow:none;}
.vidlock .pe-heaer-list li a:hover{background-color:#CF9813;}
.vidlock .pe-heaer-list li.active a{box-shadow: 0px 0px 20px -5px rgb(0, 0, 0) inset;background-color:#15282D;border-radius:5px;}
.vidlock .pe-heaer-list li a.cpengage_settings{background-image:url(<?php echo plugin_dir_url(__FILE__);?>assets/settings.png);}
.vidlock .pe-heaer-list li a.cpengage_upgrade{background-image:url(<?php echo plugin_dir_url(__FILE__);?>assets/upgrade.png);}
.vidlock .pe-heaer-list li a.cpengage_autoresponder_campaigns{background-image:url(<?php echo plugin_dir_url(__FILE__);?>assets/ar.png);}
.vidlock .pe-heaer-list li a.cpengage_lead_box_builder{background-image:url(<?php echo plugin_dir_url(__FILE__);?>assets/lbbuilder.png);}
.vidlock .pe-heaer-list li a.cpengage_analytics{background-image:url(<?php echo plugin_dir_url(__FILE__);?>assets/analytics.png);}
.vidlock .pe-heaer-list li a.cpengage_lead_box_locker{background-image:url(<?php echo plugin_dir_url(__FILE__);?>assets/leadboxlocker.png);}
.vidlock .pe-heaer-list li a.cpengage_image_campaign{background-image:url(<?php echo plugin_dir_url(__FILE__);?>assets/campaign.png);}

.vidlock .wrap-content{margin:10px 20px;}
.vidlock .wrap-content .page-title{
    background: rgb(255, 236, 190) none repeat scroll 0% 0%;
    margin: -10px -20px 0px;
    padding: 10px 20px;
    color: rgb(24, 24, 24);
    text-shadow: 1px 1px 2px rgba(47, 47, 47, 0.45);
    box-shadow: 0px 1px 5px 0px rgba(68, 68, 68, 0.31);
    position: relative;
    z-index: 9999;
}

.vidlock .wrap-content p.description{
    background: rgb(239, 239, 239) none repeat scroll 0% 0%;
    margin: 1px -20px;
    padding: 5px 20px;
    position: relative;
    z-index: 1000;
	padding: 10px 20px;
	font-size: 16px;
	color: #FE3333;
}
.vidlock .wrap-content p.description.settings{

}
.vidlock .wrap-content .error.settings-error.notice{
    box-shadow: none;
    border-width: 1px 1px 1px 6px;
    border-style: solid;
    border-color: rgb(210, 141, 0) rgb(210, 141, 0) rgb(210, 141, 0) rgb(221, 61, 54);
    -moz-border-top-colors: none;
    -moz-border-right-colors: none;
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    border-image: none;
	margin:0;
}
.vidlock .wrap-content .button-custom-pink{background: rgb(252, 47, 98) none repeat scroll 0% 0%;color: rgb(255, 255, 255);box-shadow: 0px 1px 0px rgb(222, 0, 71) inset, 0px 1px 0px rgba(78, 62, 62, 0.1);}

.wrap-content .widefat.wp-list-table thead tr:first-child th:first-child {
  border-radius: 0 13px 0 0 ;
}
.wrap-content .widefat.wp-list-table thead tr:first-child th:last-child {
	border-radius: 13px 0 0 0;
}
.wrap-content .widefat.wp-list-table tr:last-child td:first-child {
  border-radius: 0 0 0 13px;
}
.wrap-content .widefat.wp-list-table tr:last-child td:last-child {
	border-radius: 0 0 13px 0;
}
.wrap-content .widefat.wp-list-table td{
	border-bottom: 1px solid rgb(46, 168, 216);
}
.wrap-content .widefat.wp-list-table tr td:nth-child(odd){
	background-color: rgb(232, 246, 255);
}

.wrap-content .widefat.wp-list-table {
    border-radius: 0 0 13px 13px;
	border: 1px solid rgb(46, 168, 216);
}

.vidlock .wrap-content h3.section-title,.wrap-content .widefat.wp-list-table thead{
    background: #2C82B9 none repeat scroll 0% 0%;
    padding: 10px;
    border-width: 1px 1px 0px;
    border-style: solid solid none;
    -moz-border-top-colors: none;
    -moz-border-right-colors: none;
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    border-image: none;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    color: rgb(255, 255, 255);
    border-color: #2C82B9;
	margin-top: 30px;
	margin-bottom:7px;
}
.vidlock .wrap-content table.section-table{
    
}
.vidlock .wrap-content .section-table{
    background: rgb(244, 251, 255) none repeat scroll 0 0;
    border-width: 0px 1px 1px;
    border-style: none solid solid;
    border-color: rgb(46, 168, 216);
    -moz-border-top-colors: none;
    -moz-border-right-colors: none;
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    border-image: none;
	padding:10px;
	margin-top: -7px;
}

.vidlock .wrap-content .section-table + .submit{
    text-align: right;
    margin: 0px;
    background: rgb(234, 234, 234) none repeat scroll 0% 0%;
    padding: 5px;
    border-radius: 5px;
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
    border: 1px solid rgb(46, 168, 216);
	border-top: 0;
}

.vidlock .wrap-content table.section-table th, .vidlock .wrap-content table.section-table td{padding:10px;}
.vidlock .wrap-content table.section-table th{}
.vidlock .wrap-content table.section-table td{}

.vidlock .wrap-content table.maring-top-30{margin-top:30px}

.clearfix:after {content: ".";display: block;height: 0;clear: both;visibility: hidden;}
.clearme{clear:both}
.wp-core-ui .button-primary:hover {
    background: #2C82B9 none repeat scroll 0 0;
    border-color: #2C82B9;
    color: #fff;
}
.wp-core-ui .button-primary {
    background: #2C82B9 none repeat scroll 0 0;
    border-color: #2C82B9;
    box-shadow: 0 0 0 #006799;
    color: #fff;
    text-decoration: none;
    text-shadow: none ;
}    
    </style>
<div class="wrap vidlock">
		<div class"row ">
		<div class="alert alert-info" id="1" style="overflow:hidden;">
			<div class="col-lg-3">
				<img src="<?php echo  plugin_dir_url( __FILE__ ); ?>images/VidLock-Logo-with-Red-and-Blue-Text.png"  style="width: 100%; margin-top: 17px;" />
			</div>
			<div class="col-lg-7">
				<a href="admin.php?page=VidLocker_settings" id="setting_menu" style="float:right;" >Settings</a>
				<a href="admin.php?page=VidLocker_autoresponder_campaigns" id="autoresponder_menu"  style="float:right;" >Autoresponder Campaigns</a>
				<a href="admin.php?page=VidLocker_pop_locker" id="campaigns_menu"  style="float:right;" >Campaigns</a>
				<a href="admin.php?page=VidLocker_pop_locker&section=add" id="add_new_menu" style="float:right;" >Add New </a>
			</div>
		</div>
	</div>

     <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/bootstrap/bootstrap.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/pace/pace-theme-big-counter.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/style.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/main-style.css" rel="stylesheet" />
	<div class="wrap-content">
	<h2 class="page-title">VidLock - Autoresponders API</h2>
	<p class="description settings"><b>NOTE:</b> You can set just one autoresponder that you are working with.</p>
	<h3 class="section-title">Getresponse API</h3>
	<form method="post" action="options.php">
		<?php settings_fields('VidLocker-settings-group'); ?>
		<?php do_settings_sections('VidLocker-settings-group'); ?>
		<table class="form-table section-table">
	        <tr valign="top">
	        <th scope="row">API Key:</th>
	        <td><input type="text" name="vidlock_getresponse_api_key" value="<?php echo esc_attr( get_option('vidlock_getresponse_api_key') ); ?>" size="50" /></td>
	        </tr>
	         
	        <tr valign="top">
	        <th scope="row">API URL:</th>
	        <td><input type="text" name="vidlock_getresponse_api_url" value="<?php echo esc_attr( get_option('vidlock_getresponse_api_url', $VidLocker_default_gr_api_url) ); ?>" size="50" /></td>
	        </tr>
	    </table>
		<?php submit_button(); ?>
		<h3 class="section-title">Aweber API</h3>
			<div class="section-table">
		<?php if ($aweber_error) { ?>
	        <p><strong>Your Aweber account is not yet integrated with Vidlock.</strong> <a href="<?php echo $aweber_integrate_url; ?>" class="button button-primary">Integrate Vidlock with your Aweber account</a></p>
		<?php } else { ?>
		
		<span  class="updated  "> 
	        <p><strong>Your Aweber account is integrated successfully with Vidlock.</strong> <a href="<?php echo $aweber_integrate_url; ?>" class="button button-primary">Integrate Vidlock with another Aweber account</a> <a href="<?php echo $aweber_unlink_url; ?>" class="button button-secondary">Remove my Aweber account from Vidlock</a></p>
	    </span>
		<?php } ?>
		
		</div>
		<h3 class="section-title">MailChimp API</h3>
			<?php settings_fields('VidLocker-settings-group'); ?>
			<?php do_settings_sections('VidLocker-settings-group'); ?>
			<table class="form-table section-table">
	        	<tr valign="top">
	        	<th scope="row">API Key:</th>
	        		<td><input type="text" name="vidlock_mailchimp_key" value="<?php echo esc_attr( get_option('vidlock_mailchimp_key') ); ?>" size="50" /></td>
	        	</tr>
	   		</table>
			<?php submit_button(); ?>
		<h3 class="section-title">Amazon Affiliate  API</h3>
			<?php settings_fields('VidLocker-settings-group'); ?>
			<?php do_settings_sections('VidLocker-settings-group'); ?>
			<table class="form-table section-table">
	        	<tr valign="top">
	        	<th scope="row">Amazon.com Associate ID:</th>
	        		<td><input type="text" name="vidlock_Amazon_com_key" value="<?php echo esc_attr( get_option('vidlock_Amazon_com_key') ); ?>" size="50" /></td>
	        	</tr>
	        	<th scope="row">Access Key ID:</th>
	        		<td><input type="text" name="vidlock_Amazon_access_key" value="<?php echo esc_attr( get_option('vidlock_Amazon_access_key') ); ?>" size="50" /></td>
	        	</tr>
	        	<th scope="row">Secret Key:</th>
	        		<td><input type="text" name="vidlock_Amazon_secret_key" value="<?php echo esc_attr( get_option('vidlock_Amazon_secret_key') ); ?>" size="50" /></td>
	        	</tr>
	   		</table>
			<?php submit_button(); ?>
		</form>
	</div>
</div>
<?php
}
function request_amazon( $param ){
	       global $search_product_count;
            require_once  'amazon/amazon_api_class.php';
                        
            $category = "All";
            $search = $param['keyword'];
            
            try
            {
                //$amazonEcs = new AmazonECS($param['accesskeyid'], $param['secretkey'], $param['country'], $param['associate_tag']);
            
                //tell the amazon class that we want an array, not an object
                //$amazonEcs->setReturnType(AmazonECS::RETURN_TYPE_ARRAY);
                
                //create the amazon object (array)
                //$response = $amazonEcs->category($category)->responseGroup('Small,Images,Offers')->search($search, null, $param['pricemin'], $param['pricemax']);
                
                
                $amazon_api = new AmazonProductAPI($param['accesskeyid'], $param['secretkey'], $param['country'], $param['associate_tag']);
                
                $response = $amazon_api->searchProducts($search, $category, 'TITLE', $param['pricemin'], $param['pricemax'], $param['offset']);
                                
                if (isset($response->Items->Item) ) {
                    
                    
                    echo "<table class='product-suggestion-list'><tbody>";
                
                    foreach ($response->Items->Item as $result) {
//                         prefy($result['ItemLinks']['ItemLink']);
//                         prefy($result['DetailPageURL']);
                
                        //check that there is a ASIN code - for some reason, some items are not
                        //correctly listed. Im sure there is a reason for it, need to check.
                        if (isset($result->ASIN)) {
                
                            //store the ASIN code in case we need it
                            $asin = $result->ASIN;
                
                            if (isset($result->DetailPageURL)) {
                                
                                $search_product_count++;
                
                                $thumb = ( isset($result->SmallImage) and isset($result->SmallImage->URL) ) ? $result->SmallImage->URL : '';
                                $title = ( isset($result->ItemAttributes) and isset($result->ItemAttributes->Title) ) ? $result->ItemAttributes->Title : '';
                                $link =  ( isset($result->DetailPageURL) and isset($result->DetailPageURL) ) ? $result->DetailPageURL : '';
                                
                                $attributes = array();
                                
                                if( isset($result->ItemAttributes) ){
                                    $ItemAttr = get_object_vars($result->ItemAttributes);
                                    $attributes['Title'] = $ItemAttr['Title'];
                                }
                                
                                $item_data = array(
                                    'vendor'        =>  'amazon',
                                    'vendor_sub'    =>  $param['country'],
                                    'ASIN'          =>  esc_attr($asin),
                                    'url'           =>  $link,
                                    'media'         =>  array(
                                        'small'     =>  $thumb,
                                        'medium'    =>  ( isset($result->MediumImage) and isset($result->MediumImage->URL) ) ? $result->MediumImage->URL : '',
                                        'large'     =>  ( isset($result->LargeImage) and isset($result->LargeImage->URL) ) ? $result->LargeImage->URL : ''
                                    ),
                                    'attributes'    =>  $attributes,
                                    'offer_summary' =>  isset($result->OfferSummary) ? $result->OfferSummary : array()
                                );
                                
                                
                                array_walk_recursive($item_data, 'esc_attr');
                                
                                $item_details = json_encode($item_data); 
                                
                                ?>
                                
                                <tr>
                                    <td class="checkbox-td"><input type="checkbox" class="product-selection amazon" name="productselection[]" value='<?php echo $item_details?>'></td>
                                    <td class="img">
                                        <?php 
                                            if( $thumb ){
                                                echo "<img class='shadow' src='". $thumb ."'>";
                                            }
                                        ?>
                                    </td>
                                    <td class="title">
                                        <?php 
                                            if( $link ){
                                                echo "<div><a target='_Blank' href='" . $link ."'>" . $title . "</a><div>";
                                            }
                                            
                                            if( isset($result->ItemAttributes->Manufacturer) ){
                                                echo "<p><span>Manufacturer: {$result->ItemAttributes->Manufacturer}</span></p>";
                                            }
                                            if( isset($result->ItemAttributes->ProductGroup) ){
                                                echo "<p><span>ProductGroup: {$result->ItemAttributes->ProductGroup}</span></p>";
                                            }
                                            
                                            if( isset($result->OfferSummary) ){
                                                if( isset($result->OfferSummary->LowestUsedPrice) ){
                                                    echo "<p><span>Lowest Used Price: {$result->OfferSummary->LowestUsedPrice->FormattedPrice}</span></p>";
                                                }
                                                if( isset($result->OfferSummary->LowestNewPrice) ){
                                                    echo "<p><span>Lowest New Price: {$result->OfferSummary->LowestNewPrice->FormattedPrice}</span></p>";
                                                }
                                            }
                                        ?>    
                                    </td>
                                </tr>
                                <?php                 
                            }
                        }
                    }
                    echo "</tbody></table>";
                } 
                else {
                    echo "<div class='noentryfound'><i>No Amazon suggestions found</i></div>";
                
                }
                
                
                        
            
            }
            catch(Exception $e)
            {
                echo $e->getMessage();
            }
            
        }

add_action( 'wp_ajax_vidlock_search_products', 'search_products' );
        function search_products(){
        	global $request_amazon,$search_product_count;
            if ( ! wp_verify_nonce( $_REQUEST['_wpnonce'], 'vidlock-string_auth' ) ) {
                echo '<tr class="products-container"><td colspan="2"><srtong class="error">Authentication Error!!</strong> You don\'t have the permission to perform this operation.</td></tr>';
                die(0);
            }
            
            if( esc_attr($_REQUEST['keyword']) == '' ){
                echo '<tr class="products-container"><td colspan="2"><srtong class="error">Error!!</strong> You must provide a keyword to search for products.</td></tr>';
                die(0);
            }
            
            $vendors = isset($_REQUEST['vendors']) && is_array($_REQUEST['vendors']) ? array_map('esc_attr', $_REQUEST['vendors']) : array();
            
            if( empty($vendors) ){
                echo '<tr class="products-container"><td colspan="2"><srtong class="error">Error!!</strong> You must select atleast one vendor to search for products.</td></tr>';
                die(0);
            }
            
            $offset = 0;
            
            if( isset($_REQUEST['offset']) ){
                $offset = intval($_REQUEST['offset']);
            }
            
            $data = array(
                'keyword'   =>  rawurlencode (trim( esc_attr($_REQUEST['keyword']) )),
                'pricemin'  =>  isset( $_REQUEST['priceFrom'] ) ? esc_attr($_REQUEST['priceFrom']) : '',
                'pricemax'  =>  isset( $_REQUEST['priceTo'] ) ? esc_attr($_REQUEST['priceTo']) : '',
                'limit'  =>  isset( $_REQUEST['limit'] ) ? esc_attr($_REQUEST['limit']) : '',
                'offset'    =>  ( floor($offset / 10) + 1 )
            );
            
            
            if( in_array('amazon', $vendors) ){
                $country = esc_attr($_REQUEST['country']);
                $data['country'] = $country;
                
                $associate_tag = '';
                
                switch( $country ){
                    case 'com':
                        $associate_tag = get_option('vidlock_Amazon_com_key');
                        break;
                    case 'ca':
                        $associate_tag = $options['amazonca'];
                        break;
                    case 'co.uk':
                        $associate_tag = $options['amazonuk'];
                        break;
                    case 'de':
                        $associate_tag = $options['amazonde'];
                        break;
                    case 'fr':
                        $associate_tag = $options['amazonfr'];
                        break;
                    case 'in':
                        $associate_tag = $options['amazonin'];
                        break;
                    case 'it':
                        $associate_tag = $options['amazonit'];
                        break;
                }
                
                
                $data['associate_tag'] = $associate_tag;
            }
            
            $products = array();
            
            set_time_limit(0);
            
            echo '<tr class="products-container prod-suggest-cell"><td colspan="2">';
            
            foreach( $vendors as $vendor ){                
                
                switch( $vendor ){
                    case 'amazon':
                        $data['accesskeyid'] = get_option('vidlock_Amazon_access_key');
                        $data['secretkey'] = get_option('vidlock_Amazon_secret_key');
                        
                        request_amazon($data);
                        break;
                    default:
                        break;
                }
                
            }
            
            echo '</td></tr>';
            
            if( $search_product_count > 0 ){
                echo '<tr class="products-container"></td></tr>';
                echo '<tr class="products-container prod-suggest-cell"><td colspan="2">';
                // echo "<button type='button' class='button-primary confirm-product-selection'>Confirm Selection</button><span class=\"spinner\"></span>";
                echo '</td></tr>';
            }
            
            die(0);

        }
/**
 * VidLocker Autoresponder Campaigns Page
 */
function VidLocker_autoresponder_campaigns()
{
	global $wpdb, $VidLocker_ar_campaign_table_name, $VidLocker_available_autoresponders;
	 $vidlock_section = $_GET['section'];
	$vidlock_sub_section = $_GET['subsection'];
	$vidlock_section = (empty($vidlock_section)) ? 'list' : $vidlock_section;
?>
<div class="wrap">
		<div class"row ">
		<div class="alert alert-info" id="2" style="overflow:hidden;">
			<div class="col-lg-3">
				<img src="<?php echo  plugin_dir_url( __FILE__ ); ?>images/VidLock-Logo-with-Red-and-Blue-Text.png"  style="width: 100%; margin-top: 17px;" />
			</div>
			<div class="col-lg-7">
				<a href="admin.php?page=VidLocker_settings" id="setting_menu" style="float:right;" >Settings</a>
				<a href="admin.php?page=VidLocker_autoresponder_campaigns" id="autoresponder_menu"  style="float:right;" >Autoresponder Campaigns</a>
				<a href="admin.php?page=VidLocker_pop_locker" id="campaigns_menu"  style="float:right;" >Campaigns</a>
				<a href="admin.php?page=VidLocker_pop_locker&section=add" id="add_new_menu" style="float:right;" >Add New </a>
			</div>
		</div>
	</div>
<?php
	// add new/edit autoresponder campaign
	if ($vidlock_section == 'add' || $vidlock_section == 'edit')
	{
?>


     <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/bootstrap/bootstrap.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/pace/pace-theme-big-counter.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/style.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/main-style.css" rel="stylesheet" />
<?php
		// init sub section
		$vidlock_sub_section = (empty($vidlock_sub_section)) ? 'select_autoresponder' : $vidlock_sub_section;

		// fields
		$autoresponder_software = trim(strtolower($_POST['autoresponder_software']));
		$campaign_name = trim($_POST['campaign_name']);
		$list_name_id = $_POST['list_name_id'];

		// if editing new autoresponder campaign
		if ($vidlock_section == 'edit')
		{
			$ar_campaign_id = intval($_REQUEST['id']);
			$ar_campaign_query = $wpdb->get_results("SELECT * FROM $VidLocker_ar_campaign_table_name WHERE arc_id IN ($ar_campaign_id)");
			$ar_campaign = $ar_campaign_query[0];
			if ($ar_campaign->arc_id > 0)
			{
				$campaign_name = $campaign_name == "" ? $ar_campaign->arc_name : $campaign_name;
				$list_name_id = $list_name_id == "" ? ($ar_campaign->arc_list_id . ',' . $ar_campaign->arc_list_name) : $list_name_id;
				$autoresponder_software = $ar_campaign->arc_autoresponder;
			}
			else
			{
				echo '<h1>Autoresponder Campaigns</h1><span style="color: red">Sorry, the Autoresponder Campaign you request is not found!</div>';
				$vidlock_sub_section = 'autoresponder_campaign_not_found';
			}
		}

		// inputs checking
		// INFO PAGE
		if ($vidlock_sub_section == 'autoresponder_campaign_info' && $vidlock_section != 'edit')
		{
			// if autoresponder_software empty or has a different value
			if (empty($autoresponder_software) || !in_array($autoresponder_software, $VidLocker_available_autoresponders))
			{
				$vidlock_sub_section = 'select_autoresponder';
			}
		}
		// SAVE PAGE - DO EDIT PAGE
		if ($vidlock_sub_section == 'autoresponder_campaign_save' || $vidlock_sub_section == 'autoresponder_campaign_do_edit')
		{
			// if autoresponder_software empty or has a different value
			if ((empty($autoresponder_software) || !in_array($autoresponder_software, $VidLocker_available_autoresponders)))
			{
				$errors['autoresponder_software'] = 'Please select an autoresponder!';
			}
			// if campaign name is empty
			if (empty($campaign_name))
			{
				$errors['campaign_name'] = 'Please enter a name for the autoresponder campaign!';
			}
			// if list name is empty
			if (empty($list_name_id))
			{
				$errors['list_name_id'] = 'Please select a list!';
			}

			if (count($errors) > 0)
			{
				$vidlock_sub_section = 'autoresponder_campaign_info';
			}
		}

		// select the autoresponder software
		if ($vidlock_sub_section == 'select_autoresponder')
		{
?>
	<h2>Autoresponders Campaigns - <?php echo ($vidlock_section == 'add' ? 'Add New' : 'Edit'); ?></h2>
	<form method="post" action="admin.php?page=VidLocker_autoresponder_campaigns&section=add&subsection=autoresponder_campaign_info">
		<b>NOTE:</b> Before adding any new Autorespnoder campaign, please edit Autoresponders API info from this page <a href="admin.php?page=VidLocker_settings">VidLock Settings</a>.
		<table class="form-table">
	        <tr valign="top">
	        <th scope="row">Select an Autoresponder:</th>
	        <td>
	        	<select name="autoresponder_software">
					<option value="getresponse">GetResponse</option>
					<option value="aweber">Aweber</option>
					<option value="mailchimp">MailChimp</option>
				</select>
	        </td>
	        </tr>
	    </table>
		<p class="submit"><input type="submit" class="button-primary" value="Next" /></p>
	</form>
<?php
		}

		// insert autoresponder campaign info
		if ($vidlock_sub_section == 'autoresponder_campaign_info')
		{
			$campaigns_list = array();
			// get getresponse campaings
			if ($autoresponder_software == 'getresponse')
			{
				include(plugin_dir_path( __FILE__ ) . 'autoresponders/jsonRPCClient.php');
				$client = new jsonRPCClient(get_option('vidlock_getresponse_api_url'));
			    $campaigns_result = $client->get_campaigns(get_option('vidlock_getresponse_api_key'));
				if (count($campaigns_result['result']) > 0)
				{
				    foreach($campaigns_result['result'] as $campaign_id => $campaign)
				    {
						array_push($campaigns_list, array(
							'id' => $campaign_id,
							'name' => $campaign['name']
						)); 
					}
				}
				else
				{
					echo '<span style="color: red">There was an error in GetResponse API!(May be the API Key is not valid or you have not added any campaign)</span>';
					exit;
				}
			}
			// get aweber campaings
			if ($autoresponder_software == 'aweber')
			{
				include(plugin_dir_path( __FILE__ ) . 'autoresponders/aweber_api/aweber_api.php');
				$consumerKey    = 'Ak34I8AGeUjL2VyhJQ4ZjAHO';
				$consumerSecret = 'kcuIFv6Pxh3ZuLYTPLyfPKQo6zSoXJ0iq5fkynvM';
				$aweber = new AWeberAPI($consumerKey, $consumerSecret);
				try
				{
					$account = $aweber->getAccount(get_option('vidlock_aweber_access_token'), get_option('vidlock_aweber_access_token_secret'));
					$account_id = $account->id;
					foreach ($account->lists as $list) {
						array_push($campaigns_list, array(
							'id' => $list->id,
							'name' => $list->name
						)); 
					}
				}
				catch (Exception $e)
				{
					echo '<span style="color: red">There was an error in Aweber API! (' . $e->message . ')</span>';
					exit;
				}
			}
			// get mailchimp campaigns
			if ($autoresponder_software == 'mailchimp')
			{
				require_once 'autoresponders/miniMCAPI.class.php';
				$apikey = get_option('vidlock_mailchimp_key');
				$api = new MCAPI($apikey);
				$retval = $api->lists();
				if (count($retval['data']))
				{
					foreach ($retval['data'] as $list)
					{
						array_push($campaigns_list, array(
							'id' => $list['id'],
							'name' => $list['name']
						)); 
					}
				}
			}
?>
	<h2>Autoresponders Campaigns - <?php echo ($vidlock_section == 'add' ? 'Add New' : 'Edit'); ?></h2>
	<form method="post" action="admin.php?page=VidLocker_autoresponder_campaigns&section=<?php echo $vidlock_section; ?>&subsection=<?php echo ($vidlock_section == 'edit' ? 'autoresponder_campaign_do_edit' : 'autoresponder_campaign_save'); ?>">
		<input type="hidden" name="autoresponder_software" value="<?php echo $autoresponder_software; ?>" /> 
		<input type="hidden" name="id" value="<?php echo $ar_campaign_id; ?>" /> 
		<b>NOTE:</b> Before adding any new Autorespnoder campaign, please edit Autoresponders API info from this page <a href="admin.php?page=VidLocker_settings">VidLock Settings</a>.
		<table class="form-table">
	        <tr valign="top">
		        <th scope="row">Autoresponder:</th>
		        <td><u><?php echo ucfirst($autoresponder_software); ?></u></td>
	        </tr>
	        <tr valign="top">
		        <th scope="row">Autoresponder Campaign Name:</th>
		        <td>
		        	<input type="text" name="campaign_name" value="<?php echo $campaign_name; ?>" size="50" />
		        	<?php if ($errors['campaign_name']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['campaign_name'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top">
		        <th scope="row">Select an Autoresponder List:</th>
		        <td>
		        	<select name="list_name_id">
<?php
			foreach ($campaigns_list as $index => $campaign)
			{
?>
						<option value="<?php echo $campaign['id']; ?>,<?php echo $campaign['name']; ?>"<?php echo vidlock_is_selected1($campaign['id'] . ',' . $campaign['name'], $list_name_id); ?>><?php echo $campaign['name']; ?></option>
<?php
			}
?>
					</select>
					<?php if ($errors['list_name_id']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['list_name_id'] . '</span>'; } ?>
		        </td>
	        </tr>
	    </table>
		<p class="submit"><input type="submit" class="button-primary" value="<?php echo ($vidlock_section == 'edit' ? 'Edit Campaign' : 'Save Campaign'); ?>" /></p>
	</form>
<?php
		}

		// do save - do edit
		$success_msg = "";
		// save the autoresponder campaign
		if ($vidlock_sub_section == 'autoresponder_campaign_save')
		{
			$list_name_id = explode(',', $list_name_id);
			$arc_list_id = $list_name_id[0];
			$arc_list_name = $list_name_id[1];
			$wpdb->query("INSERT INTO $VidLocker_ar_campaign_table_name (arc_id, arc_autoresponder, arc_name, arc_list_name, arc_list_id) VALUES (NULL, '$autoresponder_software', '$campaign_name', '$arc_list_name', '$arc_list_id')");

			// success message :)
			/* echo '<h2 style="color: green">Autoresponder Campaign added successfully</h2>';
			echo '<h1 style="color: green">Now, you need to create a new POP <a href="admin.php?page=VidLocker_pop_builder&section=insert_pop_name">Here</a>.</h1>'; */
			$vidlock_section = 'list';
			$success_msg = 'Autoresponder Campaign added successfully.';
		}

		// do edit autoresponder campaign
		if ($vidlock_sub_section == 'autoresponder_campaign_do_edit')
		{
			$list_name_id = explode(',', $list_name_id);
			$arc_list_id = $list_name_id[0];
			$arc_list_name = $list_name_id[1];
			$wpdb->query("UPDATE $VidLocker_ar_campaign_table_name SET arc_name = '$campaign_name', arc_list_name = '$arc_list_name', arc_list_id = '$arc_list_id' WHERE arc_id IN ($ar_campaign_id)");

			// success message :)
			/* echo '<h2 style="color: green">Autoresponder Campaign edited successfully</h2>';
			echo '<h1 style="color: green">Now, go back to Autoresponder Campaigns <a href="admin.php?page=VidLocker_autoresponder_campaigns">Here</a>.</h1>'; */
			$vidlock_section = 'list';
			$success_msg = 'Autoresponder Campaign updated successfully.';
		}
?>
</div>
<?php
	}

	// delete autoresponder campaign
	if ($vidlock_section == 'delete')
	{
		$id = intval($_GET['id']);
		$wpdb->query("DELETE FROM $VidLocker_ar_campaign_table_name WHERE arc_id IN ($id) ");
		$vidlock_section = 'list';
		$success_msg = 'Autoresponder Campaign deleted successfully.';
	}

	// autoresponder campaigns list
	if ($vidlock_section == 'list')
	{
		// show a specific autorespnders
		$current_autoresponder_page = $_GET['current'];
		$is_all_page = empty($current_autoresponder_page) ? ' class="current"' : '';
		$is_getresponse_page = $current_autoresponder_page == 'getresponse' ? ' class="current"' : '';
		$is_aweber_page = $current_autoresponder_page == 'aweber' ? ' class="current"' : '';
		$is_mailchimp_page = $current_autoresponder_page == 'mailchimp' ? ' class="current"' : '';
		$current_sql_query = empty($current_autoresponder_page) ? "" : " WHERE arc_autoresponder = '" . addslashes($current_autoresponder_page) . "' ";

		// campaigns query
		$autoresponder_campaigns_count = $wpdb->get_results("SELECT * FROM $VidLocker_ar_campaign_table_name");
		$autoresponder_campaigns = $wpdb->get_results("SELECT * FROM $VidLocker_ar_campaign_table_name $current_sql_query");

		// stats
		$getresponse_count = 0;
		$aweber_count = 0;
		$mailchimp_count = 0;
		foreach ($autoresponder_campaigns_count as $campaign_to_count)
		{
			if ($campaign_to_count->arc_autoresponder == 'getresponse')
			{
				$getresponse_count++;
			}
			if ($campaign_to_count->arc_autoresponder == 'aweber')
			{
				$aweber_count++;
			}
			if ($campaign_to_count->arc_autoresponder == 'mailchimp')
			{
				$mailchimp_count++;
			}
		}
?>
<style>

.wrap .add-new-h2:hover{
	background:#2C82B9 none repeat scroll 0 0 !important;
}
	.wp-list-table{
		border: 1px solid #2C82B9 !important;
    	border-radius: 0 0 13px 13px;
	}
	.wp-list-table thead{
	-moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background:#2C82B9 none repeat scroll 0 0;
    border-color: #2C82B9;
    border-image: none;
    border-style: solid solid none;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-width: 1px 1px 0;
    color: rgb(255, 255, 255);
    margin-bottom: 7px;
    margin-top: 30px;
    padding: 10px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
	}
	.widefat thead tr th{
		color: white;
	}
	.wp-list-table tr td:nth-child(2n+1) td{
	color:black;
	}
	.wp-list-table tr td:nth-child(2n+1) td:nth-child(2) a{
	color: black;
	}
	.wp-list-table tr td:nth-child(2n) {
	color:black
	}
	.wp-list-table tr td:nth-child(2n)  a{
	color: black;
	}
	
	.wp-list-table tr:nth-child(2n){
    background: #e9e9e9 none repeat scroll 0 0;
color: white;
	}
</style>

     <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/bootstrap/bootstrap.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/pace/pace-theme-big-counter.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/style.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/main-style.css" rel="stylesheet" />
	<h2>Autoresponder Campaigns <a href="admin.php?page=VidLocker_autoresponder_campaigns&section=add" >Add New</a></h2>
	<?php if ($success_msg != "") { ?>
	<div id="message" class="updated notice notice-success is-dismissible below-h2"><p><?php echo $success_msg; ?> </p><button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>
	<?php } ?>
	<ul class='subsubsub'>
		<li class='all'><a href='admin.php?page=VidLocker_autoresponder_campaigns'<?php echo ($is_all_page); ?>>All <span class="count">(<?php echo ($getresponse_count + $aweber_count + $mailchimp_count); ?>)</span></a> |</li>
		<li class='publish'><a href='admin.php?page=VidLocker_autoresponder_campaigns&current=getresponse'<?php echo ($is_getresponse_page); ?>>GetResponse <span class="count">(<?php echo ($getresponse_count); ?>)</span></a> |</li>
		<li class='publish'><a href='admin.php?page=VidLocker_autoresponder_campaigns&current=aweber'<?php echo ($is_aweber_page); ?>>Aweber <span class="count">(<?php echo ($aweber_count); ?>)</span></a> |</li>
		<li class='publish'><a href='admin.php?page=VidLocker_autoresponder_campaigns&current=mailchimp'<?php echo ($is_mailchimp_page); ?>>MailChimp <span class="count">(<?php echo ($mailchimp_count); ?>)</span></a></li>
	</ul>

	<table class="wp-list-table widefat">
		<thead>
			<tr>
				<th scope='col' class='manage-column'>
					#
				</th>
				<th scope='col' class='manage-column'>
					Campaign Name
				</th>
				<th scope='col' class='manage-column'>
					Campaign Autoresponder
				</th>
				<th scope='col' class='manage-column'>
					Autoresponder List Name
				</th>
			</tr>
		</thead>
<?php
		if (count($autoresponder_campaigns) == 0)
		{
?>
		<tbody id="the-list">
			<tr class="no-items"><td class="colspanchange" colspan="4">No Autoresponder campaigns found.</td></tr>
		</tbody>
<?php
		}
		else
		{
			foreach($autoresponder_campaigns as $campaign)
			{
?>
		<tbody id="the-list">
			<tr class="">
				<td width="5"><?php echo $campaign->arc_id; ?></td>
				<td>
					<strong><a class="row-title" href="admin.php?page=VidLocker_autoresponder_campaigns&section=edit&subsection=autoresponder_campaign_info&id=<?php echo $campaign->arc_id; ?>" title="Edit"><?php echo $campaign->arc_name; ?></a></strong>
					<div class="row-actions">
						<span class='edit'><a href="admin.php?page=VidLocker_autoresponder_campaigns&section=edit&subsection=autoresponder_campaign_info&id=<?php echo $campaign->arc_id; ?>" title="Edit this item">Edit</a> | </span>
						<span class='delete'><a onclick="return confirm('Are you sure you want to delete this item?');" href='admin.php?page=VidLocker_autoresponder_campaigns&section=delete&id=<?php echo $campaign->arc_id; ?>' title='Delete this item permanently'>Delete Permanently</a></span>
					</div>
				</td>
				<td><?php echo ucfirst($campaign->arc_autoresponder); ?></td>
				<td><?php echo $campaign->arc_list_name; ?></td>
			</tr>
		</tbody>
<?php
			}
		}
?>
		<tfoot>
	</table>
</div>
<?php
	}
}

/**
 * VidLock Upgrade Page
 */

/**
 * VidLock Campaigns Page
 */


/**
 * VidLock  Campaign
 */
function VidLocker_pop_locker()
{
	global $wpdb, $v, $VidLocker_ar_campaign_table_name, $VidLocker_campaign_table_name,$VidLocker_pop_object_table_name, $VidLocker_pop_locker_table_name, $VidLocker_pop_table_name, $VidLocker_available_autoresponders;
	$vidlock_section = $_GET['section'];
	$vidlock_sub_section = $_GET['subsection'];
	$vidlock_section = (empty($vidlock_section)) ? 'list' : $vidlock_section;




?>	
<div class="wrap">
	<div class="row ">
		<div class="alert alert-info" id="5" style="overflow:hidden;">
			<div class="col-lg-3">
				<img src="<?php echo  plugin_dir_url( __FILE__ ); ?>images/VidLock-Logo-with-Red-and-Blue-Text.png"  style="width: 100%; margin-top: 17px;" />
			</div>
			<div class="col-lg-7">
				<a href="admin.php?page=VidLocker_settings" id="setting_menu" style="float:right;" >Settings</a>
				<a href="admin.php?page=VidLocker_autoresponder_campaigns" id="autoresponder_menu"  style="float:right;" >Autoresponder Campaigns</a>
				<a href="admin.php?page=VidLocker_pop_locker" id="campaigns_menu"  style="float:right;" >Campaigns</a>
				<a href="admin.php?page=VidLocker_pop_locker&section=add" id="add_new_menu" style="float:right;" >Add New </a>
			</div>
		</div>
	</div>
	     <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/bootstrap/bootstrap.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/pace/pace-theme-big-counter.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/style.css" rel="stylesheet" />
    <link href="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/css/main-style.css" rel="stylesheet" />
    <!-- Page-Level CSS -->
    <link href="assets/plugins/morris/morris-0.4.3.min.css" rel="stylesheet" />
<?php
// add new VidLock  Campaign
	if ($vidlock_section == 'add' || $vidlock_section == 'edit')
	{
?>

		
<?php

		// init sub section
		$vidlock_sub_section = (empty($vidlock_sub_section)) ? 'click_pop_cash_campaign_info' : $vidlock_sub_section;
		$errors = array();

		$pop_locker_id = intval($_REQUEST['id']);
		// _POST inputs
		$pop_locker_name = trim($_POST['pop_locker_name']);
		$pop_locker_type = trim($_POST['pop_locker_type']);
		$video_url = trim($_POST['video_url']);
		$image_url = trim($_POST['image_url']);
		$link_after_share = trim($_POST['link_after_share']);
		$arc_id = intval($_POST['arc_id']);
		$form_headline = trim($_POST['form_headline']);
		$form_fields = trim($_POST['form_fields']);
		$page_title = trim($_POST['page_title']);
		$page_description = trim($_POST['page_description']);
		$page_image = trim($_POST['page_image']);
		$background_color = trim($_POST['background_color']);
		$background_image_url = trim($_POST['background_image_url']);
		$pause_time = trim($_POST['pause_time']);
		$buy_code = trim($_POST['buy_code']);
		$ads_url = trim($_POST['ads_url']);
		$ads_image = trim($_POST['ads_image']);
		$ads_text = trim($_POST['ads_text']);

		// form initialization - before submit post form
		if ($vidlock_section != 'edit' && empty($_POST['pop_locker_name']))
		{
			$pop_locker_type = 'share_to_watch';
			$form_headline = 'Please sign up to unlock this content!';
			$form_fields = 'name_email';
			$background_color = '#FFFFFF';
		}

		// if edit, initialize form
		if ($vidlock_section == 'edit' && empty($_POST['pop_locker_name']))
		{
			$pop_locker_query = $wpdb->get_results("SELECT * FROM $VidLocker_pop_locker_table_name WHERE pop_locker_id IN ($pop_locker_id)");
			$pop_locker = $pop_locker_query[0];
			if ($pop_locker->pop_locker_id > 0)
			{
				$pop_locker_name = $pop_locker->pop_locker_name;
				$pop_locker_type = $pop_locker->pop_locker_type;
				$video_url = $pop_locker->video_url;
				$image_url = $pop_locker->image_url;
				$ads_url = $pop_locker->ads_url;
				$ads_image = $pop_locker->ads_image;
				$ads_text = $pop_locker->ads_text;
				$link_after_share = $pop_locker->link_after_share;
				$arc_id = $pop_locker->arc_id;
				$form_headline = $pop_locker->form_headline;
				$form_fields = $pop_locker->form_fields;
				$page_title = $pop_locker->page_title;
				$page_description = $pop_locker->page_description;
				$page_image = $pop_locker->page_image;
				$background_color = $pop_locker->background_color;
				$background_image_url = $pop_locker->background_image_url;
				$pause_time = $pop_locker->pause_time;
				$buy_code = $pop_locker->buy_code;
			}
			else
			{
				echo '<h1> Campaign</h1><span style="color: red">Sorry, the  Campaign you request is not found!</div>';
				$vidlock_sub_section = 'pop_locker_not_found';
			}
		}

		// inputs checking
		// SAVE PAGE / DO EDIT
		
		if ($vidlock_sub_section == 'click_pop_cash_campaign_save' || $vidlock_sub_section == 'click_pop_cash_campaign_do_edit')
		{
			if (empty($pop_locker_name))
			{
				$errors['pop_locker_name'] = 'You must enter a name for the  Campaign!';
			}
			if ($pop_locker_type == 'signup_to_unlock' || $pop_locker_type == 'share_to_unlock')
			{
				if (empty($link_after_share))
				{
					$errors['link_after_share'] = 'You must enter the URL of the content that you want to lock!';
				}
			}
			if ($pop_locker_type == 'signup_to_watch' || $pop_locker_type == 'share_to_watch')
			{
				if (empty($video_url))
				{
					$errors['video_url'] = 'You must enter the URL of the Youtube video that you want to lock!';
				}
			}
			if ($pop_locker_type == 'signup_to_watch' || $pop_locker_type == 'signup_to_unlock')
			{
				if ($arc_id == 0)
				{
					$errors['arc_id'] = 'You must select an autoresponder campaign!';
				}
				if (empty($form_headline))
				{
					$errors['form_headline'] = 'You must enter a headline for the signup form!';
				}
			}
			if (count($errors) > 0)
			{
				$vidlock_sub_section = 'click_pop_cash_campaign_info';
			}
		}

		// do save campaign
		if ($vidlock_sub_section == 'click_pop_cash_campaign_save')
		{
			$wpdb->query("INSERT INTO $VidLocker_pop_locker_table_name (pop_locker_id, pop_locker_name, pop_locker_type, link_after_share, video_url, image_url, arc_id, form_headline, page_title, page_description, page_image, background_color, background_image_url , pause_time, buy_code, ads_url , ads_image, ads_text, form_fields) VALUES (NULL, '$pop_locker_name', '$pop_locker_type', '$link_after_share', '$video_url', '$image_url', '$arc_id', '$form_headline', '$page_title', '$page_description', '$page_image', '$background_color', '$background_image_url',$pause_time,'$buy_code', '$ads_url','$ads_image','$ads_text','$form_fields') ");
			vidlock_scrape_facebook1(plugins_url() . '/VidLock/lock.php?id=' . $wpdb->insert_id);
			// success message :)
			$vidlock_section = 'list';
			$success_msg = ' Campaign added successfully.';
			 $id = esc_attr($_REQUEST['campaign_id']);
            $selection = ( isset($_REQUEST['productselection']) && is_array($_REQUEST['productselection']) ) ? $_REQUEST['productselection'] : array();
            $selectionupdate = ( isset($_REQUEST['productselectionupdate']) && is_array($_REQUEST['productselectionupdate']) ) ? $_REQUEST['productselectionupdate'] : array();
            $campai=$wpdb->insert_id;
            if( !empty($selection) ){
                
            // $wpdb->show_errors();
            
            $campai=$wpdb->insert_id;
            
            $table = "{$wpdb->prefix}VidLocker_selection_items";
            
            foreach($selection as $item){
                            $item=json_decode( str_replace("\\","",$item),true);  
                          
                $wpdb->insert( 
                	$table, 
                	array( 
                		'campaign_id' => $campai, 
                		'vendor'      =>  esc_attr($item['vendor']), 
                		'vendor_sub'  =>  esc_attr($item['vendor_sub']), 
                		'ASIN'        =>  esc_attr($item['ASIN']), 
                		'url'         => is_array($item['url']) ?  esc_attr($item['url'][0]) :  esc_attr($item['url']), 
                		'media'       => serialize( $item['media'] ), 
                		'attributes'  => serialize( $item['attributes'] ),
                		'offer_summary' => serialize( $item['offer_summary'] ),
                	)
                );
            }
            // $wpdb->print_error();
           }
            
           
		}

		// do edit campaign
		if ($vidlock_sub_section == 'click_pop_cash_campaign_do_edit')
		{
			$selection = ( isset($_REQUEST['productselection']) && is_array($_REQUEST['productselection']) ) ? $_REQUEST['productselection'] : array();
            $selectionupdate = ( isset($_REQUEST['productselectionupdate']) && is_array($_REQUEST['productselectionupdate']) ) ? $_REQUEST['productselectionupdate'] : array();
            
			$wpdb->query("
				UPDATE $VidLocker_pop_locker_table_name
				SET
					arc_id = $arc_id,
					form_headline = '$form_headline',
					form_fields = '$form_fields',
					pop_locker_name = '$pop_locker_name',
					pop_locker_type = '$pop_locker_type',
					link_after_share = '$link_after_share',
					video_url = '$video_url',
					image_url = '$image_url',
					page_title = '$page_title',
					page_description = '$page_description',
					page_image = '$page_image',
					background_color = '$background_color',
					background_image_url = '$background_image_url',
					pause_time = '$pause_time',
					buy_code = '$buy_code',
					ads_url = '$ads_url',
					ads_image = '$ads_image',
					ads_text = '$ads_text'
				WHERE
					pop_locker_id IN($pop_locker_id)
			");
			vidlock_scrape_facebook1(plugins_url() . '/VidLock/lock.php?id=' . $pop_locker_id);
			// success message :)
			$vidlock_section = 'list';
			$success_msg = ' Campaign updated successfully.';
			        $table1="{$wpdb->prefix}VidLocker_selection_items";
		        	$VidLocker_pop_locker_list = $wpdb->get_results("
											SELECT
												*
											FROM
											$table1	
											 WHERE campaign_id = '$pop_locker_id'
										");
			$wpdb->delete( "{$wpdb->prefix}VidLocker_selection_items", array( 'campaign_id' => $pop_locker_id  ) );

            if( !empty($selectionupdate) ){
            	$stack = array();
            	foreach ($selectionupdate as $key ) {
            		# code...
            			array_push($stack,$key);
            	}
				foreach($VidLocker_pop_locker_list as $item){

			                if (in_array($item->id, $stack)) {
			                          	# code...
			                                   
			                $wpdb->insert( 
			                	"{$wpdb->prefix}VidLocker_selection_items", 
			                	array( 
			                		'campaign_id' => $item->campaign_id, 
			                		'vendor'      =>  $item->vendor, 
			                		'vendor_sub'  =>  $item->vendor_sub, 
			                		'ASIN'        =>  $item->ASIN, 
			                		'url'         => $item->url, 
			                		'media'       => $item->media, 
			                		'attributes'  => $item->attributes,
			                		'offer_summary' => $item->offer_summary,
			                	)
			                );
			            }
			            } 
            }

            if( !empty($selection) ){
                
            // $wpdb->show_errors();
            
           
            $table = "{$wpdb->prefix}VidLocker_selection_items";
            
            foreach($selection as $item){
                            $item=json_decode( str_replace("\\","",$item),true);  
                          
                $wpdb->insert( 
                	$table, 
                	array( 
                		'campaign_id' => $pop_locker_id, 
                		'vendor'      =>  esc_attr($item['vendor']), 
                		'vendor_sub'  =>  esc_attr($item['vendor_sub']), 
                		'ASIN'        =>  esc_attr($item['ASIN']), 
                		'url'         => is_array($item['url']) ?  esc_attr($item['url'][0]) :  esc_attr($item['url']), 
                		'media'       => serialize( $item['media'] ), 
                		'attributes'  => serialize( $item['attributes'] ),
                		'offer_summary' => serialize( $item['offer_summary'] ),
                	)
                );
            }
            // $wpdb->print_error();
           }
		}

		// insert VidLock campaign info
		if ($vidlock_sub_section == 'click_pop_cash_campaign_info')
		{
			echo $section;
			echo "<br>";
			echo $subsection;
			echo "<br>";
?>
<style>
.wp-core-ui .button-primary:hover {
    background: #2c82b9 none repeat scroll 0 0 !important;
    border-color: #2c82b9 !important;
	color:white !important;
}
.wp-core-ui .button-primary {
    background: #2c82b9 none repeat scroll 0 0 !important;
    border-color: #2c82b9 !important;
	color: black !important;
	text-shadow:none !important;
}	
.div-form h3{
	background: #2c82b9 none repeat scroll 0 0;
    border-radius: 8px;
    color: white;
    margin: 0;
    padding: 10px;
}
.div-form {
    border: 2px solid #2c82b9;
    border-radius: 7px;
    padding: 10px;
    margin-top: 10px;
    background: rgb(244, 251, 255) none repeat scroll 0 0;
    width:900px;
}
</style>
	<h1> Campaign - <?php echo ($vidlock_section == 'add' ? 'Add New' : 'Edit Campaign'); ?></h1>
	<form method="post" action="admin.php?page=VidLocker_pop_locker&section=<?php echo ($vidlock_section == 'add' ? 'add' : 'edit'); ?>&subsection=<?php echo ($vidlock_section == 'add' ? 'click_pop_cash_campaign_save' : 'click_pop_cash_campaign_do_edit'); ?>&subsectionbuilder=<?php echo ($vidlock_section == 'add' ? 'click_pop_cash_campaign_save' : 'click_pop_cash_campaign_do_edit'); ?>">
		<input type="hidden" name="autoresponder_software" value="<?php echo $autoresponder_software; ?>" />
		<input type="hidden" name="id" value="<?php echo $pop_locker_id; ?>" />
		<div class="div-form"> 
		<h3> Campaign Info</h3>
		<table class="form-table">
	        <tr valign="top">
		        <th scope="row"> Campaign Name (<span style="color: red">*</span>):</th>
		        <td>
		        	<input type="text" name="pop_locker_name" value="<?php echo $pop_locker_name; ?>" size="50" />
		        	<?php if ($errors['pop_locker_name']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['pop_locker_name'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top">
		        <th scope="row"> Campaign Type (<span style="color: red">*</span>):</th>
		        <td>
		        	<select name="pop_locker_type" id="pop_locker_type">
		        		<option value="share_to_watch"<?php echo vidlock_is_selected1($pop_locker_type, 'share_to_watch'); ?>>Share to Watch Video</option>
		        		<option value="signup_to_watch"<?php echo vidlock_is_selected1($pop_locker_type, 'signup_to_watch'); ?>>Signup to Watch Video</option>
		        		<option value="buy_to_watch"<?php echo vidlock_is_selected1($pop_locker_type, 'buy_to_watch'); ?>>Buy To watch</option>
		        		<option value="ads_to_watch"<?php echo vidlock_is_selected1($pop_locker_type, 'ads_to_watch'); ?>>Click Ads To watch</option>
						<option value="Signup_to_continue_watching"<?php echo vidlock_is_selected1($pop_locker_type, 'Signup_to_continue_watching'); ?>>Sign up to continue watching</option>  
						<option value="Share_to_continue_watching"<?php echo vidlock_is_selected1($pop_locker_type, 'Share_to_continue_watching'); ?>>Share to continue watching</option>                 
						<option value="Buy_to_continue_watching"<?php echo vidlock_is_selected1($pop_locker_type, 'Buy_to_continue_watching'); ?>>Buy to continue watching</option>
						<option value="ads_to_continue_watching"<?php echo vidlock_is_selected1($pop_locker_type, 'ads_to_continue_watching'); ?>>Click Ads to continue watching</option>
		        	</select>
		        </td>
	        </tr>
	        <tr valign="top" class="pop_locker_watch_field">
		        <th scope="row">(Youtube/Vimeo)Video Url (<span style="color: red">*</span>):</th>
		        <td>
	        		<input type="text" name="video_url" id="pop-locker-video-url" value="<?php echo $video_url; ?>" placeholder="Enter URL" size="50" />Or <a href="#" class="button" onclick="window.open('<?php echo plugin_dir_url( __FILE__ ); ?>upload_video.php?fillinputid=pop-locker-video-url', 'popup','width=500,height=300'); return false;">Upload video</a> <span id="VidLocker-get-youtube-data-loader" style="display: none;">Please wait while fetching video data..</span>
	        		<input type="text" name="video_keyword" id="pop-locker-video-keyword" placeholder="add keyword to search" size="50" />
					<?php if ($errors['video_url']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['video_url'] . '</span>'; } ?>
					<div id="pop-locker-video-keywordr">
						
					</div>
		        </td>
	        </tr>
	        <tr valign="top"  id="pause_time"<?php echo ( ($pop_locker_type == 'Buy_to_continue_watching' || $pop_locker_type == 'Signup_to_continue_watching' || $pop_locker_type=='Share_to_continue_watching') ? '' : ' style="display: none;"'); ?>>
		        <th scope="row"> <label for="amount">Pause Time:</label> (<span style="color: red">*</span>):</th>
		        <td>
	        		<p>
					 
					  <input type="text" id="amount" readonly name="pause_time" style="border:0; color:#f6931f; font-weight:bold;" value="<?php echo $pause_time; ?>">seconds
					</p>
					 
					<div id="slider-range-min"></div>
					<?php if ($errors['video_url']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['video_url'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top"  id="buy_button"<?php echo ( ($pop_locker_type == 'Buy_to_continue_watching' || $pop_locker_type == 'buy_to_watch' ) ? '' : ' style="display: none;"'); ?>>
		        <th scope="row"> <label for="amount">Buy Botton Code:</label> (<span style="color: red">*</span>):</th>
		        <td>
	        		<p>
					 <textarea name="buy_code" cols="49" rows="10" ><?php echo $buy_code; ?></textarea>
					</p>
					
					<?php if ($errors['video_url']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['video_url'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top" class="ads_button"<?php echo ( ($pop_locker_type == 'ads_to_watch' || $pop_locker_type == 'ads_to_continue_watching') ? '' : ' style="display: none;"'); ?>>
		        <th scope="row">Ads Url:</th>
		        <td>
		        	<input type="text" name="ads_url" value="<?php echo $ads_url; ?>"  placeholder="Enter ads url.." size="50" /> 
		        	<select>
		        		<option id="ads_images">image</option>
		        		<option id="ads_texts">text</option>
		        	</select>
		        </td>
	        </tr>

	        <tr valign="top" id="ads_imagef" class="ads_button"<?php echo ( (($pop_locker_type == 'ads_to_watch'&&$ads_image!='') || ($pop_locker_type == 'ads_to_continue_watching'&&$ads_image!='')) ? '' : ' style="display: none;"'); ?>>
		        <th scope="row">Ads Image Url:</th>
		        <td>
		        	<input type="text" id="ads_image" name="ads_image" autocomplete="off" value="<?php echo $ads_image; ?>" placeholder="Enter image url.." size="50" /> Or <a href="#" class="button" onclick="window.open('<?php echo plugin_dir_url( __FILE__ ); ?>upload_image.php?fillinputid=ads_image', 'popup','width=500,height=300'); return false;">Upload Image</a>
		        </td>
	        </tr>
	        <tr valign="top"  id="ads_textf"  <?php echo ( (($pop_locker_type == 'ads_to_continue_watching'&&$ads_text!='') || ($pop_locker_type == 'ads_to_watch'&&$ads_text!='') ) ? '' : ' style="display: none;"'); ?>>
		        <th scope="row"> <label for="amount">Text Ad</label> :</th>
		        <td>
	        		<p>
					 <input type="text" id="ads_text" name="ads_text" placeholder="Enter ads text.." size="50" value="<?php echo $ads_text; ?>" ></input>
					</p>
					
					<?php if ($errors['video_url']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['video_url'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top" class="pop_locker_watch_field"<?php echo ( ($pop_locker_type == 'share_to_watch' || $pop_locker_type == 'signup_to_watch') ? '' : ' style="display: none;"'); ?>>
		        <th scope="row">Video Screenshot Image Url:</th>
		        <td>
		        	<input type="text" name="image_url" value="<?php echo $image_url; ?>" id="VidLocker-image-url" placeholder="Enter image url.." size="50" /> Or <a href="#" class="button" onclick="window.open('<?php echo plugin_dir_url( __FILE__ ); ?>upload_image.php?fillinputid=VidLocker-image-url', 'popup','width=500,height=300'); return false;">Upload Image</a>
		        </td>
	        </tr>
	        <tr valign="top" class="pop_locker_share_field"<?php echo ( ($pop_locker_type == 'share_to_unlock' || $pop_locker_type == 'signup_to_unlock') ? '' : ' style="display: none;"'); ?>>
		        <th scope="row">Url Of Locked Content (<span style="color: red">*</span>):</th>
		        <td>
		        	<input type="text" name="link_after_share" value="<?php echo $link_after_share; ?>" size="50" />
		        	<?php if ($errors['link_after_share']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['link_after_share'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top" class="pop_locker_arc_field"<?php echo ( ($pop_locker_type == 'signup_to_watch' || $pop_locker_type == 'signup_to_unlock'|| $pop_locker_type == 'Signup_to_continue_watching') ? '' : ' style="display: none;"'); ?>>
		        <th scope="row">Autoresponder Campaign (<span style="color: red">*</span>):</th>
		        <td>
		        	<select name="arc_id">
		        		<option value="0">-- Select Here --</option>
<?php
			$autoresponder_campaigns = $wpdb->get_results("SELECT * FROM $VidLocker_ar_campaign_table_name");
			foreach ($autoresponder_campaigns as $ar_campaign)
			{
?>
						<option value="<?php echo $ar_campaign->arc_id; ?>"<?php echo vidlock_is_selected1($ar_campaign->arc_id, $arc_id); ?>><?php echo $ar_campaign->arc_name; ?></option>
<?php
			}
?>
					</select>
					<?php if ($errors['arc_id']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['arc_id'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top" class="pop_locker_arc_field"<?php echo ( ($pop_locker_type == 'signup_to_watch' || $pop_locker_type == 'signup_to_unlock') ? '' : ' style="display: none;"'); ?>>
		        <th scope="row">Signup Form Headline (<span style="color: red">*</span>):</th>
		        <td>
		        	<input type="text" name="form_headline" value="<?php echo $form_headline; ?>" size="50" />
		        	<?php if ($errors['form_headline']) { echo '<br /><span style="font-size: 10pt; color: red">' . $errors['form_headline'] . '</span>'; } ?>
		        </td>
	        </tr>
	        <tr valign="top" class="pop_locker_arc_field"<?php echo ( ($pop_locker_type == 'signup_to_watch' || $pop_locker_type == 'signup_to_unlock') ? '' : ' style="display: none;"'); ?>>
		        <th scope="row">Signup Form Fields:</th>
		        <td>
		        	<select name="form_fields">
		        		<option value="name_email"<?php echo vidlock_is_selected1('name_email', $form_fields); ?>>Name and Email</option>
		        		<option value="email"<?php echo vidlock_is_selected1('email', $form_fields); ?>>Just Email</option>
					</select>
		        </td>
	        </tr>
	    </table>
	</div>
	<style type="text/css">

#play-btn {
    background: rgba(0, 0, 0, 0) url("http://localhost/wordpress/wp-content/plugins/vidlock/images/play_btn.png") repeat scroll center bottom / 100% auto;
    display: block;
    height: 38px;
    left: 50%;
    margin-left: -32px;
    margin-top: -34px;
    position: absolute;
    top: 50%;
    width: 64px;
    z-index: 2;
}
	#play-btn:hover{
		background-position: top;
	}
	.result {
    color: #ffffff !important;
    font-size: 14pt !important;
    font-weight: bold !important;
    text-align: center;

    background-color: #428BCA !important;
    border-color: #2C82B9 !important;
    border-style: solid !important;
    color: #ffffff !important;
    cursor: pointer;
    font-size: 14pt !important;
    font-weight: bold !important;
    
    line-height: inherit !important;
    
}
	</style>
	    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
	    <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
    	<script type="text/javascript">
    	function init() {
    gapi.client.setApiKey("AIzaSyALx7OcUzGpXSiGufP8ERnmMu2zWBmTLks");
    gapi.client.load("youtube", "v3", function() {
        // yt api is ready
        console.log(gapi);
    });
}
    	jQuery(document).ready(function(){
    		// ______________________________________________________youtube api______________________________________
    		jQuery('#pop-locker-video-keyword').keyup(function(){
    			       // prepare the request
       var request = gapi.client.youtube.search.list({
            part: "snippet",
            type: "video",
            q: encodeURIComponent(jQuery("#pop-locker-video-keyword").val()).replace(/%20/g, "+"),
            maxResults: 6,
            order: "viewCount",
            publishedAfter: "2015-01-01T00:00:00Z"
       }); 
       // execute the request
       request.execute(function(response) {
          var results = response.result;
          jQuery("#pop-locker-video-keywordr").html("");
          jQuery.each(results.items, function(index, item) {
            // jQuery.get("tpl/item.html", function(data) {
                // jQuery("#pop-locker-video-keyword").append(tplawesome(data, [{"title":item.snippet.title, "videoid":item.id.videoId}]));
                jQuery("#pop-locker-video-keywordr").append("<div style='position:relative;cursor:pointer;width:30%;margin:3px;float:left;'><b  id=\"play-btn\" onclick=\"window.open('https://www.youtube.com/watch?v="+item.id.videoId+"', 'popup', 'width=600px,height=300px,left=50%,top=50%')\"></b><img    style='width:100%;' src='http://img.youtube.com/vi/"+item.id.videoId+"/hqdefault.jpg'><p class='result' id="+item.id.videoId+">Select</p></div>");
            });
             jQuery('.result').click(function(){
          	 jQuery("#pop-locker-video-url").val('https://www.youtube.com/watch?v='+jQuery(this).attr('id'))
          	 jQuery("#pop-locker-video-keywordr").html("");
          	 jQuery("#pop-locker-video-url").trigger("blur");

          })
          });
          resetVideoHeight();

       });
   
    
    jQuery(window).on("resize", resetVideoHeight);
    		
    		function resetVideoHeight() {
    jQuery(".video").css("height", jQuery("#pop-locker-video-keywordr").width() * 9/16);
}


    		// ______________________________________________________youtube api______________________________________
    		    jQuery( "#ads_images" ).click(function(){
    		    	
    		    		jQuery( '#ads_text' ).val('');
    		    		jQuery('#ads_imagef').show()
    		    		jQuery('#ads_textf').hide()
    		    
    		    })
    		    jQuery( "#ads_texts" ).click(function(){
    		    	val1=jQuery( '#ads_text' ).val()
    		    	console.log(val1)
    		    	
    		    		jQuery( '#ads_image' ).val('');
    		    		jQuery('#ads_textf').show();
    		    		jQuery('#ads_imagef').hide();
    		    
    		    })
    		    jQuery( "#slider-range-min" ).slider({
      				range: "min",
     				value: <?php echo (isset($pause_time)&&$pause_time!='')? $pause_time : '60'; ?>,
      				min: 1,
      				max: 700,
      				slide: function( event, ui ) {
       						 jQuery( "#amount" ).val( ui.value );
      						}
    			});
    			jQuery( "#amount" ).val( <?php echo (isset($pause_time)&&$pause_time!='')? $pause_time : '60'; ?>  );
    		})
    	jQuery('#pop_locker_type').change(function(){
    		var val = jQuery(this).val();
    		// hide fields
    		if (val == 'ads_to_continue_watching' ||val == 'Share_to_continue_watching' || val == 'Signup_to_continue_watching'|| val == 'Buy_to_continue_watching')
    		{
    			
    			jQuery('#pause_time').show();
    		}else{
    			jQuery('#pause_time').hide();
    		}
    		if (val == 'buy_to_watch' || val == 'Buy_to_continue_watching')
    		{
    			jQuery('.ads_button').hide();
    			jQuery('.pop_locker_share_field').hide();
    			jQuery('#buy_button').show();
    		}else{
    			jQuery('#buy_button').hide();
    		}

    		if (val == 'share_to_watch' || val == 'signup_to_watch')
    		{
    			jQuery('.ads_button').hide();
    			jQuery('.pop_locker_share_field').hide();
    			jQuery('.pop_locker_watch_field').show().find('input[name=video_url]').focus();
    		}
    		if (val == 'share_to_unlock' || val == 'signup_to_unlock')
    		{
    			jQuery('.ads_button').hide();
    			jQuery('.pop_locker_watch_field').hide();
    			jQuery('.pop_locker_share_field').show().find('input[name=link_after_share]').focus();
    		}
    		if (val == 'ads_to_watch' || val == 'ads_to_continue_watching')
    		{
    			
    			jQuery('.ads_button').show().find('input[name=ads_yrl]').focus();
    		}
    		// check if for signups
    		if (val == 'signup_to_watch' || val == 'signup_to_unlock'||val=='Signup_to_continue_watching')
    		{
    			jQuery('.pop_locker_arc_field').show();
    		}
    		else
    		{
    			jQuery('.pop_locker_arc_field').hide();
    		}
    	});
    	</script>
    		    <script src="https://apis.google.com/js/client.js?onload=init"></script>
    	<div class="div-form">
	    <h3>Page Meta Tags & Social Media Share Image</h3>
		<table class="form-table">
	        <tr valign="top">
		        <th scope="row">Page Title:</th>
		        <td>
		        	<input type="text" name="page_title" id="VidLocker-page-title" value="<?php echo $page_title; ?>" size="50" />
		        </td>
	        </tr>
	        <tr valign="top">
		        <th scope="row">Page Description:</th>
		        <td>
		        	<textarea name="page_description" id="VidLocker-page-description" rows="10" cols="49"><?php echo $page_description; ?></textarea>
		        </td>
	        </tr>
	        <tr valign="top">
		        <th scope="row">Page Share Image:</th>
		        <td>
		        	<input type="text" name="page_image" id="VidLocker-share-image-url" placeholder="Enter image url.." value="<?php echo $page_image; ?>" size="50" /> Or <a href="#" class="button" onclick="window.open('<?php echo plugin_dir_url( __FILE__ ); ?>upload_image.php?fillinputid=VidLocker-share-image-url', 'popup','width=500,height=300'); return false;">Upload Image</a>
		        	<div style="margin-top: 10px;"><img id="youtube-thumb-preview" style="display: none;" src="" width="300" height="170" /></div>
		        </td>
	        </tr>
	    </table>
	</div>
    	<script type="text/javascript">
    	// youtube
    	var youtube_video_id = '';
		function YouTubeGetID(url)
		{
			var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/;
			var match = url.match(regExp);
			if (match && match[7].length == 11)
			{
			    return match[7];
			}
			else
			{
			    return '';
			}
		}
		var viemoGetID = function(url)
			{
				var regExp = /https?:\/\/(?:www\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|)(\d+)(?:$|\/|\?)/;
				var match = url.match(regExp);
				if (match)
				{
					console.log(match)
				    return match[3];
				}
				else
				{
				    return '';
				}
			};
		jQuery('#pop-locker-video-url').blur(function(){
			var youtube_video_url = jQuery(this).val();
			youtube_video_id = YouTubeGetID(youtube_video_url);
			vimeo_id = viemoGetID(youtube_video_url);
			console.log(vimeo_id)
			if (youtube_video_id == ''&&vimeo_id=='')
			{
				// youtube video is not valid
				jQuery('#youtube-thumb-preview').hide();
				return
			}
			// get youtube info
			jQuery('#VidLocker-get-youtube-data-loader').show();
			jQuery.ajax({
                url: 'https://www.googleapis.com/youtube/v3/videos?id=' + youtube_video_id + '&key=AIzaSyD96n81KzmjfAkaKs7g-6hwE0pFqlOBDgU&fields=items(snippet(channelId,title,description))&part=snippet',
                dataType: "jsonp",
                success: function (data)
                {
                	setTimeout(function(){
                		jQuery('#VidLocker-get-youtube-data-loader').hide();
                	}, 1000);
                	if (data.items.length > 0)
                	{
                		var yt_title = data.items[0].snippet.title;
                		var yt_description = data.items[0].snippet.description;
                		
                		// fill VidLocker fiels
                		jQuery('#VidLocker-page-title').val(yt_title);
                		jQuery('#VidLocker-page-description').val(yt_description);
                		jQuery('#VidLocker-share-image-url, #VidLocker-image-url').val('http://img.youtube.com/vi/' + youtube_video_id + '/hqdefault.jpg');
                		jQuery('#youtube-thumb-preview').attr('src', 'http://img.youtube.com/vi/' + youtube_video_id + '/hqdefault.jpg').show();
                	}
                }
            });
			jQuery.ajax({
        type:'GET',
        url: 'http://vimeo.com/api/v2/video/' + vimeo_id  + '.json',
        jsonp: 'callback',
        dataType: 'jsonp',
                success: function (data)
                {
                	console.log(data)
                	setTimeout(function(){
                		jQuery('#VidLocker-get-youtube-data-loader').hide();
                	}, 1000);
                	if (data.length > 0)
                	{
                		var yt_title = data[0].title;
                		var yt_description = data[0].description;
                		
                		// fill VidLocker fiels
                		jQuery('#VidLocker-page-title').val(yt_title);
                		jQuery('#VidLocker-page-description').val(yt_description);
                		jQuery('#VidLocker-share-image-url, #VidLocker-image-url').val(data[0].thumbnail_large);
                		jQuery('#youtube-thumb-preview').attr('src', data[0].thumbnail_large).show();
                	}
                }
            });
		});
    	</script>
<div class="div-form">
	    <h3>Amazon Affiliate Program (Optional)</h3>
	<table class="form-table">
	    <tbody>
	    	<?php 
if ($vidlock_section == 'edit' && empty($_POST['pop_locker_name']))
		{
	    	?>
	    	
	    	<tr valign="top">
		        <th scope="row"></th>
		        <td>
<table >
	    <tbody>
		        	<?php 
		        	$table1="{$wpdb->prefix}VidLocker_selection_items";
		        	$VidLocker_pop_locker_list = $wpdb->get_results("
											SELECT
												*
											FROM
											$table1	
											 WHERE campaign_id = '$pop_locker_id'
										");
foreach($VidLocker_pop_locker_list as $item)
            {
            	$media = unserialize($item->media);
		    $thumb = $media['small'][0];

		    $link = $item->url;

		    $attributes = unserialize($item->attributes);


		    $title = stripslashes($attributes['Title']);

		    $offer_summery = unserialize($item->offer_summary);
		        	?>
		        	<tr>
                                    <td class="checkbox-td"><input type="checkbox" class="product-selection amazon" name="productselectionupdate[]" value='<?php echo $item->id;?>' checked="true"></td>
                                    <td class="img">
                                        <?php 
                                            if( $thumb ){
                                                echo "<img class='shadow' src='". $thumb ."'>";
                                            }
                                        ?>
                                    </td>
                                    <td class="title">
                                        <?php 
                                            if( $link ){
                                                echo "<div><a target='_Blank' href='" . $link ."'>" . $title . "</a><div>";
                                            }
                                            
                                            
                                           
                                            if( isset($OfferSummary) ){
                                                if( isset($OfferSummary->LowestUsedPrice) ){
                                                    echo "<p><span>Lowest Used Price: {$OfferSummary->LowestUsedPrice->FormattedPrice}</span></p>";
                                                }
                                                if( isset($OfferSummary->LowestNewPrice) ){
                                                    echo "<p><span>Lowest New Price: {$OfferSummary->LowestNewPrice->FormattedPrice}</span></p>";
                                                }
                                            }
                                        ?>    
                                    </td>
                                </tr>
                        <?php
                         }
                        ?>
                    </tbody></table>
		        </td>
	        </tr>
	    
	        <?php
                         }
                        ?>

	    	<tr valign="top">
		        <th scope="row">Product Keyword:</th>
		        <td>
		        	<input type="text"  class='product_keyword' id="VidLocker-amazon-title"  size="50" />
		        	<input type="button" class="product_search"  id="VidLocker-amazon-button" value="Search" size="45" />
		        </td>
	        </tr>
	    	<tr valign="top">
		        <th scope="row"></th>
		        <td id="post-body-content">
		        	
		        </td>
	        </tr>
	    </tbody>
	</table>
	</div>
	<script>

    jQuery('.product_search').click( function(e){
    	e.preventDefault();
    	
    	
    	var container = document.querySelector('#post-body-content');
    	//var msnry = new Masonry( container );
    	
    	//msnry.layout();
    	vandor=['amazon'];
    	var data = {
    			keyword: jQuery('.product_keyword').val(),
    			vendors: vandor,
    			country: 'com',
    			priceFrom: '',
    			priceTo: '',
    			offset: jQuery(this).data('offset'),
    			action: 'vidlock_search_products',
    			_wpnonce:"<?php echo  wp_create_nonce( 'vidlock-string_auth' );?>"
    	};
    	
    	// holder.find('.products-container').fadeOut().remove();
    	// holder.append('<tr class="products-container"><td colspan="2" style="text-align:center"><span class="spinner" style="visibility:visible;float:none"></span></td></tr>').fadeIn();

        jQuery.post("<?php echo admin_url( 'admin-ajax.php' );?>", data, function(response) {
        	
            var container = jQuery("#post-body-content");
        	container.html(response).fadeIn();
        	//msnry.layout();
        });
    	
    	return false;
    });

	</script>
		<p class="submit"><input type="submit" class="button-primary" value="Save Campaign" /></p>
	</form>
<?php
		}
?>
</div>
<?php
	}

	// delete  Campaign
	if ($vidlock_section == 'delete')
	{
		$id = intval($_GET['id']);
		$wpdb->query("DELETE FROM $VidLocker_pop_locker_table_name WHERE pop_locker_id IN ($id) ");
		$vidlock_section = 'list';
		$success_msg = ' Campaign deleted successfully.';
	}

	// VidLock  Campaign list
	if ($vidlock_section == 'list')
	{
		//  Campaign query
		$VidLocker_pop_locker_list = $wpdb->get_results("
			SELECT
				*
			FROM
				$VidLocker_pop_locker_table_name
			ORDER BY pop_locker_id DESC
		");
		 $Views_sum=0;
		 $conversions_sum=0;
?>
<style>

.wrap .add-new-h2:hover{
	background:#2C82B9 none repeat scroll 0 0 !important;
}
	.wp-list-table{
		border: 1px solid #2C82B9 !important;
    	border-radius: 0 0 13px 13px;
	}
	.wp-list-table thead{
	-moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background:#2C82B9 none repeat scroll 0 0;
    border-color: #2C82B9;
    border-image: none;
    border-style: solid solid none;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-width: 1px 1px 0;
    color: rgb(255, 255, 255);
    margin-bottom: 7px;
    margin-top: 30px;
    padding: 10px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
	}
	.widefat thead tr th{
		color: white;
	}
	.wp-list-table tr td:nth-child(2n+1) td{
	color:black;
	}
	.wp-list-table tr td:nth-child(2n+1) td:nth-child(2) a{
	color: black;
	}
	.wp-list-table tr td:nth-child(2n) {
	color:black
	}
	.wp-list-table tr td:nth-child(2n)  a{
	color: black;
	}
	
	.wp-list-table tr:nth-child(2n){
    background: #e9e9e9 none repeat scroll 0 0;
color: white;
	}
</style>
    <style type="text/css">
.ace-monokai {
    background-color: #428BCA;
    color: #f8f8f2;
    padding: 5px;
    cursor: text;
}
.ace_punctuation.ace_tag {
    color: #fff;
}
.ace_meta.ace_tag.ace_tag-name.ace_xml{
    color: #f92672;
}
.ace-monokai .ace_variable {
    color: #a6e22e;
}
.ace-monokai .ace_string {
    color: white;
}
.ace_entity.ace_other.ace_attribute-name.ace_xml{
	color: #a6e22e;
}
    </style>

	
	<?php if ($success_msg != "") { ?>
	<div id="message" class="updated notice notice-success is-dismissible below-h2"><p><?php echo $success_msg; ?> </p><button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>
	<?php } ?>
 <!--  page-wrapper -->


        <div >


            <div class="row">
                <div class="col-lg-8">


<script>
	jQuery(function() {
    //  morris Area chart on dashboard///
    Morris.Area({
        element: 'morris-area-chart',
        data: [<?php 
 $table_chart="{$wpdb->prefix}VidLocker_chart";
		$result1=$wpdb->get_results("SELECT * FROM $table_chart ORDER BY 'date' DESC"); 
		$max=sizeof($result1);
		$i=0;
		if ($max!=0) {
foreach ($result1 as $key ) {
	# code...
	if ($i<8 || $i<$max) {};
	?>{
            period: '<?php echo $key->date;?>',
            iphone: <?php echo $key->view;?>,
            ipad: <?php echo $key->conversion;?>
        }<?php if($i!=7&&$i!=($max-1)){?>,<?php
    }
        $i++;
}
 }else{ ?> 
	{
            period: '2016-06-13',
            iphone: 0,
            ipad: 0        },{
            period: '2016-06-14',
            iphone: 0,
            ipad: 0        },{
            period: '2016-06-15',
            iphone: 0,
            ipad: 0        }
            <?php } ?>
],
        xkey: 'period',
        ykeys: ['iphone', 'ipad'],
        labels: ['View', 'Conversion'],
        pointSize: 2,
        hideHover: 'auto',
        resize: true
    });
    
});
</script>
                    <!--Area chart example -->
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <i class="fa fa-bar-chart-o fa-fw"></i>Campaign Results
                          
                        </div>

                        <div class="panel-body">
                            <div id="morris-area-chart"></div>
                        </div>

                    </div>
                    <!--End area chart example -->
                    
                </div>
<?php 
foreach($VidLocker_pop_locker_list as $pop_locker)
            {
                $pop_locker->views = intval($pop_locker->views);
                $pop_locker->conversions = intval($pop_locker->conversions);
 
                $Views_sum=$Views_sum+$pop_locker->views; 
$conversions_sum=$conversions_sum+$pop_locker->conversions;
                
            }


?>
                <div class="col-lg-4">
                    <div class="panel panel-primary text-center no-boder col-lg-6">
                        <div class="panel-body yellow">
                            <i class="fa fa-bar-chart-o fa-3x"></i>
                            <h3><?php echo sizeof($VidLocker_pop_locker_list);?> </h3>
                        </div>
                        <div class="panel-footer">
                            <span class="panel-eyecandy-title">Number of Campaigns
                            </span>
                        </div>
                    </div>
                    <div class="panel panel-primary text-center no-boder col-lg-6">
                        <div class="panel-body blue">
                            <i class="fa fa-pencil-square-o fa-3x"></i>
                            <h3><?php echo $Views_sum;?> </h3>
                        </div>
                        <div class="panel-footer">
                            <span class="panel-eyecandy-title">All Campaigns view
                            </span>
                        </div>
                    </div>
                    <div class="panel panel-primary text-center no-boder col-lg-6">
                        <div class="panel-body green">
                            <i class="fa fa fa-floppy-o fa-3x"></i>
                            <h3><?php echo $conversions_sum;?></h3>
                        </div>
                        <div class="panel-footer">
                            <span class="panel-eyecandy-title">All Campaign Conversions
                            </span>
                        </div>
                    </div>
                    <div class="panel panel-primary text-center no-boder col-lg-6">
                        <div class="panel-body red">
                            <i class="fa fa-thumbs-up fa-3x"></i>
                            <h3><?php echo number_format(($Views_sum > 0) ? (($conversions_sum*100)/$Views_sum) : 0, 2); ?>% </h3>
                        </div>
                        <div class="panel-footer">
                            <span class="panel-eyecandy-title">Total Campaigns Conversion Rate
                            </span>
                        </div>
                    </div>
				</div>
				<div class="col-lg-12">
					<!--Simple table example -->
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <i class="fa fa-bar-chart-o fa-fw"></i> Campaigns
                           
                        </div>

                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-hover table-striped">
                                            <thead>
                                                <tr>
                                                    <th scope='col' class='manage-column'>
                    #
                                                    </th>
                                                    <th scope='col' class='manage-column'>
                                                         Campaign Name
                                                    </th>
                                                    <th scope='col' minclass='manage-column'>
                                                          Shortcode
                                                    </th>
                                                    <th scope='col' class='manage-column'>
                                                          Campaign Code
                                                    </th>
                                                    <th scope='col' class='manage-column'>
                                                        Views
                                                    </th>
                                                    <th scope='col' class='manage-column'>
                                                        Conversions
                                                    </th>
                                                    <th scope='col' class='manage-column'>
                                                        CR
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                               <?php
        if (count($VidLocker_pop_locker_list) == 0)
        {
?>
    
            <tr class="no-items"><td class="colspanchange" colspan="6">No VidLock  Campaign found.</td></tr>
        
<?php
        }
        else
        {
            foreach($VidLocker_pop_locker_list as $pop_locker)
            {
                $pop_locker->views = intval($pop_locker->views);
                $pop_locker->conversions = intval($pop_locker->conversions);
?>
                    <tr class="">
                <td width="5"><?php echo $pop_locker->pop_locker_id; ?></td>
                <td>
                    <strong>
                        <a class="row-title" href="admin.php?page=VidLocker_pop_locker&section=edit&id=<?php echo $pop_locker->pop_locker_id; ?>" title="Edit"><?php echo $pop_locker->pop_locker_name; ?></a>
                    </strong>
                    <div class="row-actions">
                        <span class='edit'><a style="color:rgb(0,170,221);" href="admin.php?page=VidLocker_pop_locker&section=edit&id=<?php echo $pop_locker->pop_locker_id; ?>" title="Edit this item">Edit</a> | </span>
                        <span class='delete' ><a style="color: #a00;" onclick="return confirm('Are you sure you want to delete this item?');" href="admin.php?page=VidLocker_pop_locker&section=delete&id=<?php echo $pop_locker->pop_locker_id; ?>" title='Delete this item permanently'>Delete Permanently</a></span>
                    </div>
                </td>
                <td>
                	<div style="min-width:150px" >
                	<span style="border:1px solid rgb(46, 168, 216);cursor: text;background:white;padding:2px;">[VidLock id=<?php echo $pop_locker->pop_locker_id;?> ]</span>
                	</div>
                </td>
                <td>
                	<div class="ace-monokai" title="Change the height and width of the iframe in the top of the page!"> 
						<span class="ace_meta ace_tag ace_punctuation ace_tag-open ace_xml">&lt;</span><span class="ace_meta ace_tag ace_tag-name ace_xml">iframe</span> <span class="ace_entity ace_other ace_attribute-name ace_xml">src</span><span class="ace_meta ace_tag ace_tag-name ace_xml">=</span><span class="ace_string ace_attribute-value ace_xml">"<?php echo preg_replace('/^http:||https:/', '', get_site_url()); ?>/Vidlock/<?php echo $pop_locker->pop_locker_id; ?>"</span> <span class="ace_entity ace_other ace_attribute-name ace_xml">style</span><span class="ace_meta ace_tag ace_tag-name ace_xml">=</span><span class="ace_string ace_attribute-value ace_xml">"width: <span class="width_iframe">600</span>px;min-width:600px; height: <span class="height_iframe">400</span>px;"</span>&gt;&lt;/<span class="ace_meta ace_tag ace_tag-name ace_xml">iframe</span>&gt;
					</div>                	
                </td>
                <td><?php echo $pop_locker->views;
                $Views_sum=$Views_sum+$pop_locker->views; ?></td>
                <td><?php echo $pop_locker->conversions; 
$conversions_sum=$conversions_sum+$pop_locker->conversions;
                ?></td>
                <td><?php echo number_format(($pop_locker->views > 0) ? (($pop_locker->conversions*100)/$pop_locker->views) : 0, 2); ?>%</td>
            </tr>
        
<?php
            }
        }
?>

                                            </tbody>
                                        </table>
                                    </div>

                                </div>

                            </div>
                            <!-- /.row -->
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!--End simple table example -->

				</div>
            </div>

           


         


        </div>
        </div>
        <!-- end page-wrapper -->
    <!-- Core Scripts - Include with every page -->
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/jquery-1.10.2.js"></script>
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/bootstrap/bootstrap.min.js"></script>
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/pace/pace.js"></script>
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/scripts/siminta.js"></script>
    <!-- Page-Level Plugin Scripts-->
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/morris/raphael-2.1.0.min.js"></script>
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/plugins/morris/morris.js"></script>
    <script src="<?php echo  plugin_dir_url( __FILE__ ); ?>assets/scripts/dashboard-demo.js"></script>
<?php
	}

	// do add new pop - add the pop to da database
	if ($vidlock_sub_section == 'do_add_new')
	{
			$pop_id = intval($_REQUEST['pop_id']);
	$vidlock_section = $_GET['section'];
	$vidlock_sub_section = $_GET['subsection'];
	$vidlock_section = (empty($vidlock_section)) ? 'list' : $vidlock_section;
	$errors = array();

	// pop and objects
	$pop_data = array();
	$pop_objects = array();
	$pop_objects_ids = array(); // used to store objects ids before submit edit form

	// header javascript variables
	$head_pop_data = '';
	$head_pop_objects_data = '';

	// _POST inputs
	$_POST = array_map('stripslashes_deep', $_POST); // remove slashes added by wordpress 
	$VidLocker_pop_id = intval($_REQUEST['pop_id']);
	$VidLocker_pop_name = $_POST['pop_name'];
	$VidLocker_template_id = intval($_POST['template_id']);
	$VidLocker_pop_objects_ids = $_POST['pop_objects_ids'];
	$VidLocker_pop_settings = $_POST['pop_settings'];
	$VidLocker_pop_objects = $_POST['pop_objects'];
	// print_r($_POST);
		// storing the pop
		// $wpdb->query("INSERT INTO $VidLocker_pop_table_name (pop_id, pop_name, pop_settings) VALUES (NULL, '" . addslashes($VidLocker_pop_name) . "', '$VidLocker_pop_settings') ");

		// storing objects
		/* $pop_id = $wpdb->insert_id;
		$pop_objects = json_decode($VidLocker_pop_objects, true);
		foreach ($pop_objects as $pop_object)
		{
			// don't know what I was do here :D but it's work :)
			$pop_object = vidlock_json_encode_utf8(vidlock_json_encode_utf8($pop_object));
			$pop_object = substr($pop_object, 0, -1);
			$pop_object = substr($pop_object, 1);
			$wpdb->query("INSERT INTO $VidLocker_pop_object_table_name (object_db_id, pop_id, object_data) VALUES (NULL, '$pop_id', '" . $pop_object . "') ");
		} */
		$pop_id = intval($VidLocker_pop_id);
		$pop_objects = json_decode($VidLocker_pop_objects, true);
		foreach ($pop_objects as $pop_object)
		{
			$pop_object = vidlock_json_encode_utf8($pop_object);
			// echo $pop_object;
			$wpdb->query("INSERT INTO $VidLocker_pop_object_table_name (object_db_id, pop_id, object_data) VALUES (NULL, '$pop_id', '" . $pop_object . "') ");
		}
// print_r($_REQUEST);
		// success message :)
		/* echo '<h2 style="color: green">Lead Box added successfully</h2>';
		echo '<h1 style="color: green">Now, you need to create a new vidlock campaign <a href="admin.php?page=VidLocker_campaigns&section=add">Here</a>.</h1>'; */
		$vidlock_section = 'list';
		$success_msg = 'Lead Box added successfully.';
	}

	// do edit
	if ($vidlock_sub_section  == 'do_edit')
	{
			$pop_id = intval($_REQUEST['id']);
	$vidlock_section = $_GET['section'];
	$vidlock_sub_section = $_GET['subsection'];
	$vidlock_section = (empty($vidlock_section)) ? 'list' : $vidlock_section;
	$errors = array();

	// pop and objects
	$pop_data = array();
	$pop_objects = array();
	$pop_objects_ids = array(); // used to store objects ids before submit edit form

	// header javascript variables
	$head_pop_data = '';
	$head_pop_objects_data = '';

	// _POST inputs
	$_POST = array_map('stripslashes_deep', $_POST); // remove slashes added by wordpress 
	$VidLocker_pop_id = intval($_REQUEST['pop_id']);
	$VidLocker_pop_name = $_POST['pop_name'];
	$VidLocker_template_id = intval($_POST['template_id']);
	$VidLocker_pop_objects_ids = $_POST['pop_objects_ids'];
	$VidLocker_pop_settings = $_POST['pop_settings'];
	$VidLocker_pop_objects = $_POST['pop_objects'];
		// update pop settings
		// $wpdb->query("UPDATE $VidLocker_pop_table_name SET pop_settings = '$VidLocker_pop_settings' WHERE pop_id IN ($VidLocker_pop_id) ");

		// update objects / add new objects / delete deleted objects on pop builder
		// pop objects query
		// VidLocker_pop_objects_ids used to store old elements before submit edit form
		$objects_to_delete = explode(',', $VidLocker_pop_objects_ids);
		$pop_objects = json_decode($VidLocker_pop_objects, true);
		foreach ($pop_objects as $pop_object)
		{
			$db_id = $pop_object['db_id'];
			$pop_object['db_id'] = 0; // clear db id
			$pop_object = vidlock_json_encode_utf8($pop_object);
			if ($db_id > 0) // update element
			{
				$wpdb->query("UPDATE $VidLocker_pop_object_table_name SET object_data = '$pop_object' WHERE object_db_id IN ($db_id) ");
				// object is exist so remove it from objects_to_delete
				$object_key = array_search($db_id, $objects_to_delete);
				if($object_key !== false)
				{
				    unset($objects_to_delete[$object_key]);
				}
			}
			else // this is a new element
			{
				$wpdb->query("INSERT INTO $VidLocker_pop_object_table_name (object_db_id, pop_id, object_data) VALUES (NULL, '$VidLocker_pop_id', '" . $pop_object . "') ");
			}
		}
		// delete deleted objects on pop builder
		$wpdb->query("DELETE FROM $VidLocker_pop_object_table_name WHERE object_db_id IN (0," . implode(', ', $objects_to_delete) . ") ");

		// success message :)
		/* echo '<h1 style="color: green">Lead Box updated successfully :)</h1>'; */
		$vidlock_section = 'list';
		$success_msg = 'Lead Box updated successfully.';
	}
// ___________________builder                   

}

/**
 * VidLocker analytics
 */

/**
 * VidLocker Pop Builder Page
 */



/**
 * Enqueue css and js files
 */
// 

add_action('admin_enqueue_scripts', 'VidLocker_enqueue_files');
	
function VidLocker_enqueue_files($hook)
{
	global $_GET;
    // js files
    if (isset($_GET['subsection'])) {
	# code...
	 if ($_GET['subsection']=='click_pop_cash_campaign_save'||$_GET['subsection']=='click_pop_cash_campaign_do_edit') {
		# code...

    	wp_enqueue_script('vidlock_VidLocker_wysiwyg', plugin_dir_url( __FILE__ ) . 'wysiwyg/wysiwyg-editor.min.js', array('jquery'), '1.0', false);
		wp_enqueue_script('vidlock_VidLocker_custom_scrollbar', plugin_dir_url( __FILE__ ) . 'jquery.mCustomScrollbar.min.js', array('jquery'), '1.0', false);
    

    
		wp_enqueue_script('vidlock_VidLocker_json2', plugin_dir_url( __FILE__ ) . 'json2.js', array('jquery'), '1.0', false);
		wp_enqueue_script('vidlock_VidLocker_elastic', plugin_dir_url( __FILE__ ) . 'jquery.elastic.source.js', array('jquery'), '1.0', false);
		wp_enqueue_script('vidlock_VidLocker_script', plugin_dir_url( __FILE__ ) . 'VidLocker_admin.js', array('jquery'), '1.0', true);
    

    // css files
   
	    wp_enqueue_style('vidlock_VidLocker_font_awesome', 'http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css');
	    wp_enqueue_style('vidlock_VidLocker_wysiwyg_style', plugin_dir_url( __FILE__ ) . 'wysiwyg/wysiwyg-editor.css');
	    wp_enqueue_style('vidlock_VidLocker_custom_scrollbar_style', plugin_dir_url( __FILE__ ) . 'jquery.mCustomScrollbar.min.css');
	
	
    	wp_enqueue_style('vidlock_VidLocker_admin_style', plugin_dir_url( __FILE__ ) . 'VidLocker_admin.css');
    
	}
}
	// if ($hook == 'click-pop-engage_page_VidLocker_pop_locker' || $hook == 'click-pop-engage_page_VidLocker_pop_locker')
 //    {
		wp_enqueue_script('vidlock_VidLocker_colorpicker', plugin_dir_url( __FILE__ ) . 'colorpicker/colorpicker.js', array('jquery'), '1.0', false);
    
		wp_enqueue_style('vidlock_VidLocker_colorpicker_style', plugin_dir_url( __FILE__ ) . 'colorpicker/colorpicker.css');
	// }
    
}

/**
 * xxxxxxxxxxx
 */
add_action('get_header', 'VidLocker_x');
function VidLocker_x(){
	/* global $post;
	if (is_single())
	{
		echo $post->ID;
	}
	exit; */
}

?>